# --------------------------------------------------------------------------
# contents: Dependencies of files in component 'SAPDB/SAPDBCommon/Algorithms/'.
# to do:    Reduce the dependencies by using forward declarations!
# author:   Mirko.Luedde@SAP.Com
# created:  Wed Jan  5 17:04:41  2000
# updated:  Mon Feb 28 16:22:18  2000
# --------------------------------------------------------------------------
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


# Compile options for all files
* -except -DUSE_SAPDB_TYPE inc=:SAPDB/SAPDBCommon/SAPDB_Types.hpp

# Compile options for selected files. 
# Extends the include path for the compiler. 
regex(.*\.cpp$) -I$WRK/incl/SAPDB/SAPDBCommon/Memory_Management -I$WRK/incl/SAPDB/SAPDBCommon/Algorithms -I$WRK/incl/STL

SAPDBAlgo_QuickSort.hpp				inc=gsp00

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

