#
#	SAPDBCommon Configuration
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

* inc=SAPDB_Types.hpp -except
#

SAPDBConfig_ParamId.gencid          obj=KernelConfig_ConfigParamId.hpp \
                                -header=$WRK/incl/SAPDB/Kernel/KernelConfig_ConfigParamId.hpp,\
                                        $WRK/incl/SAPDB/Kernel/ConfigTest_ConfigParamId.hpp \
                                 extdep=$WRK/incl/SAPDB/Kernel/KernelConfig_ConfigParamId.hpp 

SAPDBConfig_Messages.genmsg         ascii

SAPDBConfig_Messages.hpp            inc=SAPDBErr_MessageList.hpp

SAPDBConfig_Exception.hpp           inc=SAPDBErr_MessageList.hpp
SAPDBConfig_Parameters.hpp          inc=+SAPDBConfig_Exception.hpp
#
# Implementation uses old v_interface functions...
#
SAPDBConfig_Parameters.cpp          inc=+SAPDB_ToString.hpp,\
                                        SAPDBConfig_Parameters.hpp,\
                                        heo11.h,\
                                        heo46.h \
                                    dep=SAPDBConfig_Messages.hpp


# ---------- TEST ------------
SAPDBConfig_Test.cpp                inc=+SAPDBConfig_Parameters.hpp

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

