# ------------------------------------------------------------------------------
#
# Converter Descriptions
#
# ------------------------------------------------------------------------------
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


regex(.*\.cpp$)    -except

# -------------------------------------------------------------------------------------
# auxiliary structures:
# -------------------------------------------------------------------------------------
LVC_Messages.genmsg                 ascii

LVC_ErrorTraceObject.hpp            inc=ggg00,ggg12,ggg92.h,hgg01.h,Trace_Entry.hpp

LVC_HistoryNode.hpp                 inc=ggg00,gbd00,hbd13.h 

LVC_Messages.hpp                    inc=SAPDBErr_MessageList.hpp

LVC_Types.hpp                       inc=gbd900.h,SAPDBErr_MessageList.hpp

LVC_KeyOIdQueue.hpp                 inc=ggg92.h

LVC_ObjKeyIterator.hpp              inc=gbd300.h,gbd500.h,gbd510.h,gbd600.h,\
                                        ggg00,ggg92.h

LVC_AbstractObjKeyIterator.hpp      inc=SAPDBMem_IRawAllocator.hpp

LVC_SingleFileObjKeyIterator.hpp    inc=LVC_AbstractObjKeyIterator.hpp,\
                                        LVC_BufferedObjKeyIterator.hpp

LVC_MultiFileObjKeyIterator.hpp     inc=ggg200.h,ggg92.h,\
                                        LVC_AbstractObjKeyIterator.hpp,\
                                        LVC_BufferedObjKeyIterator.hpp,\
                                        SAPDBMem_NewDestroy.hpp

LVC_WaitForDelObjFileQueue.hpp      inc=ggg00,\
                                        heo55k.h,\
 										heo56.h,\
                                        SAPDB_Types.hpp,\
 										RTEMem_Allocator.hpp

LVC_BufferedObjKeyIterator.hpp      inc=SAPDBMem_IRawAllocator.hpp,\
                                        LVC_KeyOIdQueue.hpp

LVC_LibOmsInterface.hpp             inc=OMS_LibOmsInterface.hpp

LVC_KernelInterface.hpp             inc=gsp00,RTEMem_AllocatorRegister.hpp

LVC_BufferedObjKeyIterator.cpp      inc=gbd900.h,hbd03.h,\
                                        RTE_Message.hpp,\
                                        LVC_BufferedObjKeyIterator.hpp,\
                                        LVC_ObjKeyIterator.hpp,\
                                        LVC_Messages.hpp,\
                                        LVC_Types.hpp
                                        

LVC_KernelInterfaceInstance.hpp     inc=LVC_KernelInterface.hpp,\
                                        LVC_LockRequest.hpp,\
                                        RTESync_RWRegion.hpp

LVC_KernelInterfaceInstance.cpp     inc=LVC_KernelInterfaceInstance.hpp,\
                                        LVCMem_Wrapper.hpp,\
                                        SAPDBMem_NewDestroy.hpp,\
                                        LVCMem_Allocator.hpp,\
                                        OMS_StackTraceCallbackInterface.hpp,\
                                        vak001,hgg11.h,heo52.h,heo56.h,heo58.h,hgg01.h,hgg01_3.h,geo573.h,heo51.h,\
                                        heo670.h,Kernel_OpMsg.hpp,\
                                        RTEMem_RteAllocator.hpp


LVC_LibOmsInterface.cpp             inc=LVC_LibOmsInterface.hpp

LVC_NewObjectChecker.hpp            inc=ggg250.h


&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

