# @(#)   desc/fast/co.com   7.0  08/15/96
#
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

&ifdebug
*.c -DOMS_DEBUG
*.cpp -DOMS_DEBUG
&endif

# these are the right file descriptions for
# vco01.idl, vco03.idl as of vmake version 9.2.5
#

vco01.idl   dep=vco03.idl unpack=yes noobjcopy obj=vco01.idl.o \
            -header=$INSTROOT/incl/ilivecachesink.h extdep=$INSTROOT/incl/ilivecachesink.h

vco03.idl   unpack=yes concom=yes obj=vco03.idl.o \
            -header=$INSTROOT/incl/livecachetypes.h,$SAPDBSDK/incl/livecachetypes.h \
            -copy=$INSTROOT/incl/livecachetypes.idl \
            extdep=$INSTROOT/incl/livecachetypes.h,$SAPDBSDK/incl/livecachetypes.h,$INSTROOT/incl/livecachetypes.idl

vco03-c.idl unpack=yes concom=yes obj=vco03-c.idl.o -nomidl NO_MIDL \
            -copy=$INSTROOT/incl/livecachetypes.h extdep=$INSTROOT/incl/livecachetypes.h

gco05.h     unpack=no concom=yes ->$INSTROOT/incl/livecachesql.h 
#vco005x     unpack=no concom=yes dep=vco01.idl >$INSTROOT/incl/ilivecachesql.h extdep=$INSTROOT/incl/ilivecachesink.h

vco20.idl   dep=vco01.idl unpack=no noobjcopy obj=vco20.idl.o \
            -header=$WRK/incl/hco20idl.h extdep=$WRK/incl/hco20idl.h,vco20_i.c,vco20.tlb \
            -keep_tlb -keep_h -keep_c

vco70.idl   dep=gco70.h unpack=no noobjcopy obj=vco70_i \
           -header=$WRK/incl/vco70t.h extdep=$WRK/incl/vco70t.h

gco00.h     concom=yes ->$INSTROOT/incl/lcbasetypes.h
#vco005x     ->$INSTROOT/incl/livecachesql.h
hco00.h     concom=yes dep=vco03.idl,gco00.h ->$INSTROOT/incl/livecache.h
gco001.h    inc=ggg92.h,gco00.h,hco30-k.h
gco02.h     inc=gsp00,ggg92.h
gco04.h     ->$INSTROOT/incl/livecachedbproc.h dep=vco03.idl,gco05.h,hco00.h
hco14.h     ->$INSTROOT/incl/livecachecurrency.h
gco54.h     dep=gco05.h ->$INSTROOT/incl/sqlcppclass.h 

hco10.h     inc=gco001.h,gco02.h,hco18.h
hco101OmsObjByKeyIterBase.h inc=gco00.h
hco11.h     inc=geo00.h
hco11OmsLockObj.h inc=gco00.h
gco102.h    inc=gsp00,hco31-k.h
hco12.h     inc=ggg92.h,hco13.h,hco16.h,ggg250.h,ggg251.h,gco001.h,\
            gco11ISessionLockObjects.h,LVC_KernelInterface.hpp,OMS_Monitor.hpp,\
            SAPDBMem_RawAllocator.hpp,OMS_NewObjCache.hpp,OMS_VersionDirRegions.hpp
hco13.h     inc=ggg00,ggg92.h,gco001.h,hco18.h,gco102.h,ggg250.h,geo573.h
gco10.h     concom=yes inc=gco001.h,hco30-k.h,hco16.h,hco15.h,gco14.h,hco13.h,hco12.h,\
            hco10.h,gco90.h,ggg00,ggg92.h,gco02.h,hco18.h,hco101OmsObjByKeyIterBase.h,gco103.h,\
            OMS_StackTraceCallbackInterface.hpp
hco16.h     concom=yes inc=ggg00,gco00.h,hco10.h,gco01.h,gco001.h
hco17.h     concom=yes inc=hco12.h,gco001.h,OMS_LibOmsInterfaceInstance.hpp
hco18.h     concom=yes inc=ggg00,gco01.h,gco001.h,gco102.h
hco19.h     concom=yes inc=ggg00,ggg250.h,hco16.h

livecacheversion.h ->$INSTROOT/incl/

&if $OSSPEC in [ WIN32 ]
gco14.h     concom=yes dep=vco03.idl
&else
gco14.h     concom=yes
&endif

hco20.h     
vco20.rgs   binary
vco20rc.rc  dep=vco20.idl demand=vco20.rgs
hco30.h     concom=yes ->$INSTROOT/incl/livecachebase.h 
hco30-k.h   -D KERNEL concom=yes dep=vco01.idl inc=ggg92.h,gco00.h,gco01.h,hco31-k.h
hco31.h     concom=yes ->$INSTROOT/incl/livecachedbperror.h 
hco31-k.h   -D KERNEL concom=yes inc=ggg92.h,gco00.h,gco01.h  
gco01_1.h
# inc ggg00 inserted to gco01.h PTS 1109257
gco01.h     inc=ggg00,geo00.h,gco01_1.h,gco00.h          
gco72.h     inc=gco71.h
hco70.h     inc=gco70.h
gco90.h     inc=ggg00
hco91.h     inc=ggg00

vco70m.bmp  binary
vco70l.bmp  binary
vco70r.rc   demand=vco70m.bmp,vco70l.bmp

vco102.cpp	-except inc=gco102.h,hsp77.h -MD -D_AFXDLL -c
vco10.cpp	-except dep=vco01.idl inc=geo00.h,ggg00,ggg200.h,gco00.h,gco10.h,hco17.h,hco18.h,hco19.h,\
             gco102.h,RTESync_Spinlock.hpp,hsp78.h,geo573.h,hsp77.h,\
			 hco11.h,gco11ISessionLockObjects.h,RTESys_Time.h,\
			 OMS_LibOmsInterfaceInstance.hpp,\
			 OMS_KernelDefaultInterface.hpp,\
             OMS_DummyKernelCallback.hpp,\
             OMS_OidArrayReader.hpp,\
             OMS_OidArrayWriter.hpp,\
			 SAPDBMem_IRawAllocator.hpp,\
			 LVC_KernelInterface.hpp,\
             SAPDB_UTF8Basis.hpp,LVC_LockRequest.hpp \
             -MD -D_AFXDLL -c
vco10-t.cpp	-except -DOMSTST dep=vco01.idl inc=geo00.h,ggg00,ggg200.h,gco00.h,gco10.h,hco17.h,hco18.h,hco19.h,\
             gco102.h,geo573.h,RTESync_Spinlock.hpp,hsp78.h,hsp77.h,\
			 hco11.h,gco11ISessionLockObjects.h,RTESys_Time.h,\
			 OMS_LibOmsInterfaceInstance.hpp,\
			 OMS_KernelDefaultInterface.hpp,\
             OMS_DummyKernelCallback.hpp,\
             OMS_OidArrayReader.hpp,\
             OMS_OidArrayWriter.hpp,\
			 SAPDBMem_IRawAllocator.hpp,\
			 LVC_KernelInterface.hpp,\
             SAPDB_UTF8Basis.hpp,LVC_LockRequest.hpp \
             -MD -D_AFXDLL -c
vco101OmsObjByKeyIterBase.cpp -except inc=hco101OmsObjByKeyIterBase.h,gco10.h -MD -D_AFXDLL -c
vco11.cpp 	-except inc=gco01.h -MD -D_AFXDLL -c
vco11OmsLockObj.cpp -except inc=hco10.h,RTESync_Spinlock.hpp,hco11.h,hco11OmsLockObj.h,gco11ISessionLockObjects.h,\
             gco10.h,hco16.h,ggg251.h -MD -D_AFXDLL -c
vco12.cpp 	-except inc=gsp00,gco00.h,gco10.h,hco10.h,hco12.h,gco102.h,hsp77.h -MD -D_AFXDLL -c
vco12-t.cpp -except -DOMSTST inc=gsp00,gco00.h,gco10.h,hco10.h,hco12.h,gco102.h,hsp77.h -MD -D_AFXDLL -c
vco13.cpp 	-except dep=vco01.idl inc=geo00.h,gco00.h,gco10.h,hco13.h,hsp77.h,geo573.h -MD -D_AFXDLL -c
vco13-t.cpp	-except -DOMSTST dep=vco01.idl inc=geo00.h,gco00.h,gco10.h,hco13.h,hsp77.h,geo573.h -MD -D_AFXDLL -c
vco14.cpp 	-except dep=vco01.idl inc=geo00.h,gco00.h,gco14.h,hco31-k.h -MD -D_AFXDLL -c
vco15.cpp 	-except inc=geo00.h,gco00.h,gco001.h,hco15.h -MD -D_AFXDLL -c
vco16.cpp 	-except inc=hco16.h -MD -D_AFXDLL -c
vco17.cpp   -except inc=geo00.h,hco12.h,gco10.h,hco17.h,gco00.h,\
            LVC_LockRequest.hpp,OMS_KernelDefaultInterface.hpp,OMS_VersionDirRegions.hpp \
            -MD -D_AFXDLL -c
vco18.cpp 	-except inc=hco18.h,geo00.h,gco00.h,gco10.h,hco16.h -MD -D_AFXDLL -c
vco19.cpp 	-except inc=geo573.h,hco19.h,gco90.h -MD -D_AFXDLL -c
vco30.cpp 	-except inc=hco30-k.h,heo02x.h,hsp77.h -MD -D_AFXDLL -c
vco31.cpp 	-except inc=hco31-k.h,hsp81.h,geo573.h -MD -D_AFXDLL -c
vco31-k.cpp -except -DKERNEL inc=hco31-k.h,hsp81.h,geo573.h -MD -D_AFXDLL -c
vco90.cpp	-except dep=hco30.h,vco01.idl,vco03.idl inc=gsp00,vsp001,vsp004,ggg00,gco00.h,gco01.h,gco10.h,gco50SqlHandle.h,gco90.h,hco91.h,heo78.h,hsp77.h,\
                    RTESync_Spinlock.hpp -MD -D_AFXDLL
vco91.cpp	-except dep=gco00.h,vco01.idl inc=geo00.h,gco00.h,gco10.h,hco91.h -MD -D_AFXDLL -c

vco20.cpp 	-except dep=vco20.idl,vco03.idl,hco00.h,hco30.h,gco04.h,gco05.h inc=heo02x.h,geo573.h,hco20.h,hsp77.h -MD -c
vco21.cpp 	-except dep=gco00.h,gco04.h inc=hco21.h -MD -c
vco22.cpp 	-except dep=vco20.idl,vco01.idl,gco00.h,gco04.h,hco00.h,hco30.h,gco05.h -MD -c
&if $MACH in [ PA11 , PA20W ]
vco20.cpp		-CFLAGS=+Onoinline
&endif

vco69.cpp inc=gco00.h,heo02x.h,heo01.h,heo46.h
vco70.cpp inc=gco74.h,hco70.h,gco72.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
vco71.cpp inc=gco74.h,hco70.h,gco73.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
vco72.cpp inc=gco74.h,hco70.h,gco72.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
vco73.cpp inc=gco74.h,hco70.h,gco73.h,gco71.h -MD -GX -DWIN32 [s -D_DEBUG s] [f -DNDEBUG f] [q -DNDEBUG q] -D_WINDOWS -D_WINDLL -D_AFXDLL  -c  -Y -uc -ansi
#
gco50SqlHandle.h             inc=hco30-k.h,gco502SqlOpt.h
gco501SQL.h                  inc=
gco509Utils.h                inc=
gco51CSqlSessionContext.h    inc=ggg00,vsp001,hsp81.h,ggg251.h,gco00.h,hco10.h,gco502SqlOpt.h,gco50SqlHandle.h,\
                             gco519CErrorHandling.h,SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp,SQL_Monitor.hpp
gco52SqlCol.h                inc=gco00.h
gco521CSqlStmt.h             inc=hsp81.h,hco30-k.h,gin02.h
gco511SqlSession.h           inc=gco50SqlHandle.h
gco512CParseSQLReply.h       inc=hin204.h
gco519CErrorHandling.h       inc=ggg00
gco522CColumnDesc.h          inc=vsp001
#
vco50SqlHandle.cpp           -except inc=hsp81.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h -MD
vco501SQL.cpp                -except inc=gco00.h,geo00.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h,gco521CSqlStmt.h,gco52SqlCol.h -MD
vco501SQL-t.cpp              -except -DOMSTST inc=gco00.h,geo00.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h,gco521CSqlStmt.h,gco52SqlCol.h -MD
vco509Utils.cpp              inc=hsp81.h,geo00.h,gco00.h,hco31-k.h,hco509Utils.h -MD
vco51CSqlSessionContext.cpp  -except inc=hsp81.h,hsp100.h,geo00.h,gco00.h,gsp01.h,heo02.h,heo03.h,hsp02.h,hin204.h,\
                              hin205.h,hco10.h,LVC_KernelInterface.hpp,gco501SQL.h,gco512CParseSQLReply.h,gco521CSqlStmt.h,\
                              gco51CSqlSessionContext.h -D_AFXDLL -MD
vco51CSqlSessionContext-t.cpp -except -DOMSTST inc=hsp81.h,hsp100.h,geo00.h,gco00.h,gsp01.h,heo02.h,heo03.h,hsp02.h,hin204.h,\
                              hin205.h,hco10.h,LVC_KernelInterface.hpp,gco501SQL.h,gco512CParseSQLReply.h,gco521CSqlStmt.h,\
                              gco51CSqlSessionContext.h -D_AFXDLL -MD
vco512CParseSQLReply.cpp     -except inc=gco51CSqlSessionContext.h,gco512CParseSQLReply.h,gco521CSqlStmt.h -MD
vco519CErrorHandling.cpp     -except inc=gco51CSqlSessionContext.h,gco519CErrorHandling.h -MD
vco52SqlCol.cpp              -except inc=geo00.h,ggg00,hco10.h,hco30-k.h,gco52SqlCol.h,gco522CColumnDesc.h,\
                                      SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp -MD
vco52SqlCol-m.cpp            -except -DEXT_CLIENT_SQL inc=geo00.h,ggg00,hco10.h,hco30-k.h,gco52SqlCol.h,gco522CColumnDesc.h,\
                                      SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp -MD
vco52SqlCol-t.cpp            -except -DOMSTST inc=geo00.h,ggg00,hco10.h,hco30-k.h,gco52SqlCol.h,gco522CColumnDesc.h,\
                                      SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp -MD
vco521CSqlStmt.cpp           -except inc=geo00.h,hsp81.h,gco00.h,hin201.h,gco501SQL.h,gco52SqlCol.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h,gco522CColumnDesc.h -MD
vco522CColumnDesc.cpp        -except dep=vco03.idl inc=geo00.h,ggg00,hco10.h,hco30-k.h,hin201.h,hsp40.h,hsp41.h,hsp81.h,hsp77.h,\
                                      gco521CSqlStmt.h,gco522CColumnDesc.h,gco52SqlCol.h,gco51CSqlSessionContext.h,\
                                      SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp -MD
vco522CColumnDesc-m.cpp      -except -DEXT_CLIENT_SQL dep=vco03.idl inc=geo00.h,ggg00,hco10.h,hco30-k.h,hin201.h,hsp40.h,hsp41.h,hsp81.h,hsp77.h,\
                                      gco521CSqlStmt.h,gco522CColumnDesc.h,gco52SqlCol.h,gco51CSqlSessionContext.h,\
                                      SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp -MD
vco522CColumnDesc-t.cpp      -except -DOMSTST dep=vco03.idl inc=geo00.h,ggg00,hco10.h,hco30-k.h,hin201.h,hsp40.h,hsp41.h,hsp81.h,hsp77.h,\
                                      gco521CSqlStmt.h,gco522CColumnDesc.h,gco52SqlCol.h,gco51CSqlSessionContext.h,\
                                      SAPDBMem_IBlockAllocator.hpp,SAPDBMem_RawAllocator.hpp,LVC_KernelInterface.hpp -MD
vco50SqlHandle-m.cpp         -except -DEXT_CLIENT_SQL inc=hsp81.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h
vco501SQL-m.cpp              -except -DEXT_CLIENT_SQL inc=geo00.h,gco00.h,gco50SqlHandle.h,gco501SQL.h,gco51CSqlSessionContext.h,gco521CSqlStmt.h,gco52SqlCol.h
vco509Utils-m.cpp            -DEXT_CLIENT_SQL dep=vco03.idl inc=hsp81.h,geo00.h,gco00.h,hco31-k.h,hco509Utils.h
vco51CSqlSessionContext-m.cpp -except -DEXT_CLIENT_SQL inc=hsp81.h,hsp100.h,geo00.h,gsp01.h,heo02.h,heo03.h,\
                              hsp02.h,hin204.h,hin205.h,gco00.h,hco10.h,LVC_KernelInterface.hpp,gco501SQL.h,\
                              gco512CParseSQLReply.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h \
                              -D_AFXDLL
vco511SqlSession-m.cpp       -except -DEXT_CLIENT_SQL inc=heo02.h,heo03.h,hsp02.h,gco00.h,gco51CSqlSessionContext.h,gco511SqlSession.h,gco501SQL.h
vco512CParseSQLReply-m.cpp   -except -DEXT_CLIENT_SQL inc=gco51CSqlSessionContext.h,gco512CParseSQLReply.h,gco521CSqlStmt.h
vco519CErrorHandling-m.cpp   -except -DEXT_CLIENT_SQL inc=gco51CSqlSessionContext.h,gco519CErrorHandling.h -MD
vco521CSqlStmt-m.cpp         -except -DEXT_CLIENT_SQL inc=gco00.h,hsp81.h,geo00.h,hin201.h,gco501SQL.h,gco52SqlCol.h,gco521CSqlStmt.h,gco51CSqlSessionContext.h,gco522CColumnDesc.h
#
# PTS 1108380
hco80CGenHFile.h            inc=gsp00
hco81CGenInspecCode.h       inc=gsp00,gco00.h,ggg250.h,ggg251.h,hco82Idl2Code.h
vco80CGenHFile.cpp          inc=hco80CGenHFile.h,hco82Idl2Code.h
vco81CGenInspecCode.cpp     inc=hco81CGenInspecCode.h,hco83ErrorHandling.h,vsp001,geo36.h 
vco82Idl2Code.cpp           inc=:idl/expat/expat.h,hco83ErrorHandling.h,hco82Idl2Code.h,hco80CGenHFile.h,hco81CGenInspecCode.h -DXML_BYTE_ORDER=21
vco83ErrorHandling.cpp      inc=hco83ErrorHandling.h

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

