	
	/*===================================================================
	/ Includes
	/====================================================================*/
	#include "gwd00.h"
	#include "sapdbwa.h" /* nocheck */
	#include "SAPDB/XML/QueryServerLib/XMLQSLib_Query.h"


	#if defined(__cplusplus)
	extern "C"	{
	#endif

	/* free search by providing a where clause */
	SAPDB_Bool XMLQSLIB_FreeSearchEmbedded(XMLQSLib_Handle			qsHandle,
										   XMLQSLib_WhereClause		whereClause, 
										   XMLError_Error			hError);
  
	SAPDB_Bool XMLQSLIB_FreeSearchEmbeddedGetDocs(XMLQSLib_Handle		qsHandle,
												 XMLQSLIB_Char			*docUri,
												 SAPDB_UInt				len,
												 XMLError_Error			hError);

	XMLQSLIB_Bool XMLQSLib_CreateHandle(XMLQSLib_Handle *handle, SQLHENV henv, SQLHDBC hDBC,XMLQSLIB_Char *libname);

	XMLQSLIB_Bool XMLQSLib_DestroyHandle(XMLQSLib_Handle handle);

	#if defined(__cplusplus)
	}
	#endif