
/*******************************************************************************

  module:       hak06.h.h

  ------------------------------------------------------------------------------

  responsible:  <unknown>

  purpose:      <unknown topic>

  lastChanged:  2002-08-28

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HAK06_H
#define HAK06_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\354@\311\353M\260\217\332*\247\214\214T\032\331\023'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "vsp001.h"
#include "ggg00.h"
#include "gak00.h"
#include "vak001.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void a06a_mblock_init (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_message_type_Param                 mtype,
    tgg_message2_type_Param                 m2type,
    tgg00_FileId          VAR_VALUE_REF  tree);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06char_retpart_move (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_moveobj_ptr                      moveobj_ptr,
    tsp_int4                             move_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06check_username (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_knl_identifier    VAR_ARRAY_REF  auth,
    pasbool               VAR_VALUE_REF  is_dba,
    pasbool               VAR_VALUE_REF  ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06colname_retpart_move (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_moveobj_ptr                      moveobj_ptr,
    tsp_int4                             move_len,
    tsp_int2                             src_codeset);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06copy_mblock (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  src_mblock,
    tgg_mess_block        VAR_VALUE_REF  dst_mblock);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06cpy_mblock (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  src_mblock,
    tgg_mess_block        VAR_VALUE_REF  dst_mblock,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a06exist_user (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_knl_identifier    VAR_ARRAY_REF  user_name,
    tak_directory_state_Param                 dstate,
    tak_sysbufferaddress  VAR_VALUE_REF  user_rec_ptr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06extcolno (
    tak_baserecord        VAR_VALUE_REF  baserec,
    integer                              extcolno,
    tak00_colinfo_ptr     VAR_VALUE_REF  colinfo_ptr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06find_colinfo (
    tak_sysbufferaddress                 base_ptr,
    tgg_stack_entry       VAR_VALUE_REF  stack_entry,
    tak00_colinfo_ptr     VAR_VALUE_REF  colinfo_ptr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06init_curr_retpart (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06finish_curr_retpart (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp1_part_kind_Param                 part_kind,
    tsp_int2                             arg_count);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06_c_send_mess_buf (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06get_page_cnt (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_FileId          VAR_VALUE_REF  file_id,
    pasbool                              do_sample,
    tsp_int4              VAR_VALUE_REF  page_count,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06_get_priv (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_sysbufferaddress  VAR_VALUE_REF  brec,
    tak_privilege         VAR_VALUE_REF  priv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06get_priv (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_sysbufferaddress  VAR_VALUE_REF  brec,
    tgg_privilege_set     VAR_ARRAY_REF  required_priv,
    tak_privilege         VAR_VALUE_REF  priv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06move_file_content (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_FileId          VAR_VALUE_REF  old_id,
    tgg00_FileId          VAR_VALUE_REF  new_id,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06_systable_get (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_directory_state_Param                 dstate,
    tgg_surrogate         VAR_ARRAY_REF  tableid,
    tak_sysbufferaddress  VAR_VALUE_REF  base_ptr,
    pasbool                              get_all,
    pasbool               VAR_VALUE_REF  ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a06_table_exist (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_directory_state_Param                 dstate,
    tsp_knl_identifier    VAR_ARRAY_REF  authname,
    tsp_knl_identifier    VAR_ARRAY_REF  tablen,
    tak_syspointerarr     VAR_VALUE_REF  sparr,
    pasbool                              get_all);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06_view_get_basetable (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_surrogate         VAR_ARRAY_REF  view_id,
    integer                              tabno,
    tgg_surrogate         VAR_ARRAY_REF  base_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06destroy_temp (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_FileId          VAR_VALUE_REF  temp_id,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06get_username (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    integer               VAR_VALUE_REF  tree_index,
    tsp_knl_identifier    VAR_ARRAY_REF  username);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06determine_username (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_surrogate         VAR_ARRAY_REF  userid,
    tsp_knl_identifier    VAR_ARRAY_REF  user_name);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06det_user_id (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_knl_identifier    VAR_ARRAY_REF  authname,
    tgg_surrogate         VAR_ARRAY_REF  authid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06dml_send_mess_buf (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  mblock,
    tak_dml_info          VAR_VALUE_REF  dmli,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06eval_page_count (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_FileId          VAR_VALUE_REF  file_id,
    tgg_lkey              VAR_VALUE_REF  startkey,
    tgg_lkey              VAR_VALUE_REF  stopkey,
    pasbool                              do_sample,
    pasbool                              count_records,
    tsp_int4              VAR_VALUE_REF  page_count,
    tsp_int4              VAR_VALUE_REF  min_page_cnt,
    tsp_int4              VAR_VALUE_REF  record_cnt,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06ignore_rsend_mess_buf (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  mblock,
    tak_sm_description    VAR_VALUE_REF  send_description,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06inc_linkage (
    tsp_c2                VAR_ARRAY_REF  linkage);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06pred_linkage (
    tsp_c2                VAR_ARRAY_REF  linkage);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06read_subquery (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    integer                              max_keys,
    tgg_lkey              VAR_VALUE_REF  key,
    void                  *  buf,
    tgg00_FileId          VAR_VALUE_REF  subquery_tree,
    tsp_int4              VAR_VALUE_REF  buf_len,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a06role_exist (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_knl_identifier    VAR_ARRAY_REF  role_name,
    tak_directory_state_Param                 dstate,
    tak_sysbufferaddress  VAR_VALUE_REF  role_rec_ptr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a06_role_excluded (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_surrogate         VAR_ARRAY_REF  role_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06lsend_mess_buf (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  mblock,
    pasbool                              call_from_rsend,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06prefix_destroy_temp (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_Filename        VAR_ARRAY_REF  prefix_fn,
    integer                              prefix_len,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06public_priv (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_baserecord        VAR_VALUE_REF  brec,
    tak_privilege         VAR_VALUE_REF  priv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06put_errtext (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_basis_error                      b_err_in,
    tgg_errortext_Param                  err_type,
    integer                              errtext_len,
    tsp_c256              VAR_ARRAY_REF  errtext,
    tgg_basis_error       VAR_VALUE_REF  b_err_out);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06remove_locked_state (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06reset_retpart (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06rsend_mess_buf (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  mblock,
    pasbool                              return_req,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06set_mtree (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_mess_block        VAR_VALUE_REF  mblock,
    tgg00_FileId          VAR_VALUE_REF  tree);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06subquery_del_result (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_dml_info          VAR_VALUE_REF  dmli,
    tgg00_FileId          VAR_VALUE_REF  subquery_tree,
    integer                              prefix_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06systable_state (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_knl_identifier    VAR_ARRAY_REF  tablename,
    tgg00_FileId          VAR_VALUE_REF  tree);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 a06uid (
    tgg_surrogate         VAR_ARRAY_REF  user_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06userid_get (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_surrogate         VAR_ARRAY_REF  userid,
    pasbool               VAR_VALUE_REF  ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#if defined (TRACE)

externPascal void a06td_priv (
    tak_privilege                        p,
    tsp_c18               VAR_ARRAY_REF  id,
    pasbool                              unpacked);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

externPascal void a06tempfile_empty (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_FileId          VAR_VALUE_REF  temp_id,
    tgg_basis_error       VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06unpack_priv (
    tak_privilege         VAR_VALUE_REF  packed_priv,
    tak_privilege         VAR_VALUE_REF  unpacked_priv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06user_get_priv (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_sysbufferaddress  VAR_VALUE_REF  brec,
    tgg_surrogate         VAR_ARRAY_REF  user,
    tak_privilege         VAR_VALUE_REF  priv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a06retpart_move (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_moveobj_ptr                      moveobj_ptr,
    tsp_int4                             move_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

