
/*******************************************************************************

  module:       hak260.h.h

  ------------------------------------------------------------------------------

  responsible:  ThomasA

  purpose:      AK_dialog_tools

  lastChanged:  2001-11-27

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HAK260_H
#define HAK260_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\3677\027\312\3221A\350\007\260\323\203I\215g\002'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "vak001.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal pasbool a260BuildDebugStack ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260check_priv (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_surrogate         VAR_ARRAY_REF  proc_id,
    tgg_surrogate         VAR_ARRAY_REF  user_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a260CurrentTaskInCppDBProc ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260DropParseIds (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_parskey           VAR_VALUE_REF  parsk);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260end_session (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260exec_dialog (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260get_proc (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_knl_identifier    VAR_ARRAY_REF  authname,
    tsp_knl_identifier    VAR_ARRAY_REF  proc,
    integer               VAR_VALUE_REF  tree_index);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260hresult_error (
    tsp_int4                             hresult,
    tsp_knl_identifier    VAR_ARRAY_REF  dbproc_name,
    tsp_c64               VAR_ARRAY_REF  errtext,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260internal_proc_call (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a260IsInternalDBProc (
    tak_methodrecord      VAR_VALUE_REF  MethodRec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal integer a260max_output_params ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal integer a260max_params ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a260sql_in_dbproc (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_c16               VAR_ARRAY_REF  clsid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260ParseIdDrop (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_parskey           VAR_VALUE_REF  parsk);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260reset_statistics ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260session_frame_release (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260statistics (
    tsp00_8ByteCounter    VAR_VALUE_REF  external_proc_cnt,
    tsp00_8ByteCounter    VAR_VALUE_REF  internal_proc_cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260sysdbproc_exist (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260TransEnd (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_message_type_Param                 messType,
    pasbool                              release,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260trigger_call (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_sysbufferaddress                 trigger_parsinfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260trigger_parsinfo (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg_sysinfokey        VAR_VALUE_REF  parsinfokey,
    tgg_surrogate         VAR_ARRAY_REF  proc_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a260user_func (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg_stack_entry       VAR_VALUE_REF  op,
    tgg_func_param_info   VAR_VALUE_REF  param_info,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

