/*!******************************************************************************

  @file         hbd11.h

  ------------------------------------------------------------------------------

  @author       

  @brief                                

\if EMIT_LICENCE  

    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
\endif

********************************************************************************/

#ifndef HBD11_H
#define HBD11_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\x61\x20\x87\x74\x3e\x7c\xc7\x73\x03\x89\xfe\x56\x9f\x69\xe7\xbd'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void b11_init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b11_mget_free_blocks (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tsp00_Int2                           min_block_cnt,
    tsp00_Int2            VAR_VALUE_REF  max_block_cnt,
    tsp00_Int2            VAR_VALUE_REF  devno,
    tsp00_Int4            VAR_VALUE_REF  offset,
    tgg00_BasisError      VAR_VALUE_REF  trError);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 b11_blocks_used (
    tsp00_Int2                           devno);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b11backup_block (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tsp00_Int2                           devno,
    integer                              max_num_blo,
    tsp00_Int4            VAR_VALUE_REF  num_blo,
    tsp00_Int4            VAR_VALUE_REF  offset,
    tgg00_BasisError      VAR_VALUE_REF  trError);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

