
/*******************************************************************************

  module:       hbd13_1.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      nodehandling

  lastChanged:  2001-05-17

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD13_1_H
#define HBD13_1_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '=\313\030\341\254\246U\265\233\237\230-U\266\037\343'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gbd00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void bd13GetNewSpecifiedNode (
    tgg00_TransContext    &  Trans,
    tgg00_FileId          &  FileId,
    tsp00_PageNo             WantedPageNo,
    tbd_node_ptrs         &  Nptrs,
    pasbool               &  bPageGenerated);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

