
/*******************************************************************************

  module:       hbd20_5.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      BD-data-cache

  lastChanged:  2002-03-01

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD20_5_H
#define HBD20_5_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'fr\374\200\361\345M"[\251\273\241~("`'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gbd00.h"
#include "gbd02.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal pasbool bd20ExclusiveLocks (
    tsp00_TaskId             TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd20FullestDataCacheSegment (
    tsp00_TaskId             TaskId,
    integer               &  CacheNo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd20GetPageForIO (
    tsp00_TaskId             TaskId,
    integer                  RegOffset,
    tgg00_BasisError      &  TrError,
    tsp00_Int2            &  FlushElems,
    tbd00_NodePtrList     &  NodePtrList,
    tbd2_data_cb_flush_list  &  CBlockList,
    pasbool               &  Completed);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 bd20IOElemCount (
    tsp00_TaskId             TaskId,
    integer                  RegOffset);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd20PreDisplaceIO (
    tsp00_TaskId             TaskId,
    integer                  RegOffset,
    tgg00_BasisError      &  TrError,
    pasbool               &  UseIOChain,
    tsp00_Int2            &  FlushElems,
    tbd00_NodePtrList     &  NodePtrList,
    tbd2_data_cb_flush_list  &  CBlockList);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd20ResetIOState (
    tsp00_TaskId             TaskId,
    integer                  RegOffset,
    tsp00_Int2               FlushElems,
    tbd2_data_cb_flush_list     CBlockList);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

