
/*******************************************************************************

  module:       hbd37.h.h

  ------------------------------------------------------------------------------

  responsible:  ThomasA

  purpose:      BD_modify_table

  lastChanged:  2002-07-26

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD37_H
#define HBD37_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\224T\317\244>\257\004\253Ly\324\377\350m\357\264'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "ggg03.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void b37_init_conversion_info (
    tgg00_TransContext    VAR_VALUE_REF  t,
    pasbool                              ignore_err,
    tgg00_StackListPtr                   source_stack,
    integer                              src_col_cnt,
    tgg00_StackListPtr                   target_stack,
    integer                              trunc_pos,
    integer                              trunc_cnt,
    pasbool               VAR_VALUE_REF  is_sorted,
    integer               VAR_VALUE_REF  FixedColLength,
    tgg03_colinf          VAR_ARRAY_REF  code_tab,
    tgg03_colinf          VAR_ARRAY_REF  trunc_col,
    tgg03_colinf          VAR_ARRAY_REF  frac_col,
    tgg03_not_null        VAR_ARRAY_REF  not_null_col,
    tgg03_check_col       VAR_ARRAY_REF  check_col);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b37table_modify (
    tgg00_TransContext    VAR_VALUE_REF  t,
    pasbool                              ignore_err,
    pasbool                              is_sorted,
    tgg00_FileId          VAR_VALUE_REF  source_id,
    tgg00_FileId          VAR_VALUE_REF  source_index,
    tgg00_FileId          VAR_VALUE_REF  target_id,
    const tgg00_StackEntry*                 source_stack,
    integer                              src_col_cnt,
    const tgg00_StackEntry*                 target_stack,
    integer                              trunc_pos,
    integer                              trunc_cnt,
    tgg00_SampleInfoPtr                  pResultSampleInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b37_unload_rewrite_table (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg00_FileId          VAR_VALUE_REF  treeid,
    tgg03_unloadInfoPtr                  unload_info,
    tsp00_Int4                           ret_buf_size,
    tsp00_MoveObj         VAR_ARRAY_REF  ret_buf,
    tsp00_Int4            VAR_VALUE_REF  ret_buf_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

