
/*******************************************************************************

  module:       hbd77.h.h

  ------------------------------------------------------------------------------

  responsible:  TorstenS

  purpose:      tree_locklist

  lastChanged:  2002-02-26

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD77_H
#define HBD77_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '^\244lo\345\0065\211\320A\264\223n\344G}'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gbd00.h"
#include "gbd07.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tbd7_locklist_array b77locklist;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77anyleaf_write_locks (
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77conv_lock_to_req (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tbd_treelock_Param                   lockstate,
    pasbool                              excl_lock_exist);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77delete_lockentry (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo          VAR_VALUE_REF  leaf,
    tsp00_PageNo                         indexnode,
    tbd_treelock_Param                   lockstate);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77dump_locklist (
    tgg00_VfFileref       VAR_VALUE_REF  hostfile,
    tsp00_Page            VAR_ARRAY_REF  buf,
    tsp00_Int4            VAR_VALUE_REF  dump_pno,
    integer               VAR_VALUE_REF  pos,
    tsp00_VfReturn        VAR_VALUE_REF  hosterror,
    tsp00_ErrText         VAR_ARRAY_REF  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77excl_using_root (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_TaskId                         pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77exist_lock_within_subtree (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         indexnode);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77first_lock (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tbd7_entry_ptr        VAR_VALUE_REF  root_ptr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77index_check (
    tbd_current_tree      VAR_VALUE_REF  current,
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77index_or_leaf_writers (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_TaskId                         pid,
    pasbool               VAR_VALUE_REF  index_found,
    pasbool               VAR_VALUE_REF  leaf_found);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77init_tree_locklist (
    integer                              partition,
    tsp00_Int4            VAR_VALUE_REF  alloc_sum,
    tgg00_BasisError      VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77insert_lockentry (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         leaf,
    tbd_treelock_Param                   lockstate,
    pasbool                              ignore_svp);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77is_empty_locklist (
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77leaf_in_locklist (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         leaf,
    tsp00_TaskId                         pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77liconv_to_index_lock (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_TaskId                         pid,
    tsp00_PageNo                         indexnode,
    tbd_treelock_Param                   lockstate);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77lleaf_in_locklist (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         leaf,
    tbd_treelock_Param                   lockstate,
    tsp00_TaskId                         pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77show_treelocklist (
    tbd_current_tree      VAR_VALUE_REF  current,
    tsp00_Int4            VAR_VALUE_REF  rec_count,
    integer                              partition);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77stree_in_locklist (
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77tree_in_locklist (
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77lconv_to_leaf (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         leaf,
    tsp00_PageNo                         indexnode,
    tbd_treelock_Param                   lockstate);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#if defined (TRACE)

externPascal void b77pointer_check (
    tbd7_entry_ptr                       pointer,
    tsp00_PageNo                         root);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77print_tree_locklist ();

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

externPascal void b77reset_lock (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tbd_treelock          VAR_VALUE_REF  old_locktype);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77root_description (
    tsp00_PageNo                         root,
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77set_not_generated ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77tconv_to_tree (
    tsp00_TaskId                         pid,
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         leaf,
    tbd_treelock_Param                   lockstate);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77check_locklist (
    tbd7_root_desc        VAR_VALUE_REF  root_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77check_whole_locklist (
    integer                              Partition);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b77pid_check (
    tsp00_TaskId                         pid,
    tsp00_PageNo                         root);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b77write_index_locked (
    tbd7_root_desc        VAR_VALUE_REF  root_desc,
    tsp00_PageNo                         indexnode);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

