/*******************************************************************************

  module:       sdbinfo.h

  ------------------------------------------------------------------------------

  responsible:  Alexander Ringhof (D038248 - alexander.ringhof@sap.com)

  special area: DBM Server: exec_sdbinfo

  description:  header module, determination of db host system parameters

  see also:     none

  ------------------------------------------------------------------------------
                         Copyright by SAP AG, 2002

  modifications:
  -------------------------------------------------------------------------
  01   who:
       what:
       when:
  -------------------------------------------------------------------------
*******************************************************************************/

/* INCLUDE SECTION */
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>

#ifdef WIN32 
#include <windows.h>
#include <iostream.h>
#endif

/* DEFINE SECTION */
#define MXLINELEN 255
#define MXPATHLEN 95
#define MXFILELEN 41
#define MXTEXTLEN 1023

#define BUFSIZE 1024
