/*!***************************************************************************

  module      : SqlOpt.h

  -------------------------------------------------------------------------

  responsible : FerdiF

  special area: C++ SQL-Class   
  description : SqlOpt - SQL - Session Options 
				
  
  last changed: 2000-03-08  11:22
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 2000



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/

#ifndef GCO502SQLOPT_H
#define GCO502SQLOPT_H

/*----------------------------------------------------------------------*/
/* class SqlOpt                                                       */
/*----------------------------------------------------------------------*/

class  SqlOpt {
public:
  typedef enum { SQLMODE_NIL, SQLMODE_SESSION, SQLMODE_ADABAS, SQLMODE_ANSI, SQLMODE_DB2, SQLMODE_ORACLE
  } SqlSessionMode;
};

#endif