/* @lastChanged: "1998-06-26  10:10"
 * @filename:    hco91.h
 * @purpose:     "Implementation of hidden OmsHandle Functions"
 * @release:     7.1.0.0
 * @see:         ""
 *
 * @copyright:   "Copyright by SAP AG, 1998"


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

 */


#ifndef HCO91_H
#define HCO91_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "ggg00.h"

/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/
HRESULT co91AttachDefaultContext(OmsHandle& h);

HRESULT co91ReleaseDefaultContext(OmsHandle& h);

void co91CurrMethodCallEpilog (OmsHandle& h, void* sql_handle, int runTime);     /* PTS 1120804 */

void co91MonitorInfo (OmsHandle& h, tgg00_COMMonitorTransferBuf*);

void co91RegisterMonitor (OmsHandle& h, void* pMon);

void co91SetCurrMonitorMethod (OmsHandle& h, tgg00_COMMonitorInfo*);

short co91OmsCommit   (OmsHandle& h, bool doRelease);

void co91OmsRollback (OmsHandle& h,  bool doRelease);

short co91OmsValidate (OmsHandle& h);

void co91OmsCleanUp (OmsHandle& h);

void co91TransEndEpilog (OmsHandle& h); // PTS 1110315

#endif  /* HCO91_H */
