/*!***************************************************************************

  module      : gen780.h

  -------------------------------------------------------------------------

  responsible : JoergM

  special area: DCOM Registration for UNIX
  description : Test program functions

  last changed: 1998-09-29  11:22
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GEN780_H
#define GEN780_H



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

extern "C" {
#include <stdio.h>
}

/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

/*!  
  Function: en78_DumpRegistry
  
  description:
    This call dumps the content of the registry into a given
	output stream.

  arguments:
	dump        [in]  Output stream
				
  return value: 
	none
*/
extern "C" void en78_DumpRegistry(FILE *dump);

#endif  /* GEN780_H */
