/****************************************************************************

  module      : gen904.h

  -------------------------------------------------------------------------

  responsible : FrankH

  special area: Database and Installation  Registry
  description : description ...


  last changed: 1999-12-22  10:30
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GEN904_H
#define GEN904_H


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "gsp09.h"

/*===========================================================================*
 *  DEFINES                                                                  *
 *===========================================================================*/


/*===========================================================================*
 *  MACROS                                                                   *
 *===========================================================================*/


/*===========================================================================*
 *  CLASSES, STRUCTURES, TYPES, UNIONS ...                                   *
 *===========================================================================*/

tsp00_Bool
sql904_findControlServer (
    char *executable,		    /* OUT		*/
    const int  MaxExecutableLen,/* IN       */
    const char *dbname,		    /* IN		*/
    const char *serverpgm,      /* IN       */ 
    char *dbroot,		        /* IN/OUT	*/
    const int  MaxDBRootLen) ;  /* IN       */

#endif  /* GEN904_H */
