/****************************************************************************

  module      : heo11_1.h

  -------------------------------------------------------------------------

  responsible : FrankH

  special area: xparam
  description : description ...


  last changed: 1999-01-04  18:59
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef HEO11_1_H
#define HEO11_1_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

/*===========================================================================*
 *  FUNCTION PROTOTYPES ( RTE internal only )                                *
 *===========================================================================*/

externC void    sql11c_SeqBinReadXParam  (  tsp00_Int4         XParamFileID,
                                            char               *Buf ,
                                            tsp00_Int4          i4BytesToRead ,
                                            tsp00_Int4         *pi4BytesRead,
                                            tsp_errtext         acErrorText,
                                            tsp_xp_return_code *pucXParamReturnCode );

externC void    sql11c_SeqBinWriteXParam (  tsp00_Int4         XParamFileID,
                                            char              *Buf ,
                                            tsp00_Int4         i4BytesToWrite ,
                                            tsp00_Int4        *pi4BytesWritten,
                                            tsp_errtext         acErrorText,
                                            tsp_xp_return_code *pucXParamReturnCode );

externC void    sql11c_ResetParamChangedFlag ( tsp00_Int4       XParamFileID,
                                               tsp_errtext      acErrorText,
                                               tsp00_BoolAddr   pbOk );

#endif  /* HEO11_1_H */
