/*!***************************************************************************

  module      : heo78.h

  -------------------------------------------------------------------------

  responsible : FerdiF

  special area: DCOM Inspection for DB-Procedure characteristics
  description : This Routine is called to get the characteristics
				        of external defined DB-Procedures.
  
  last changed: 1998-09-29  11:22
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef HEO36_H
#define HEO36_H

externC void eo36ParamInfo ( tsp_dcom_paraminfo_parms *parms ) ;


extern HRESULT 
sql36LoadTypeLibFromProgId (BOOLEAN            InProcServ,
                            char*              cProgID,
                            CLSID&             ClsID,
                            HINSTANCE*         lpHInstance,
                            tsp00_C4           session,
                            tsp_c64&           errtext);
extern HRESULT 
sql36getInstallationKey(char *szSubKey);


#endif  /*HEO36_H*/