
/*******************************************************************************

  module:       hgg01_1.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      <unknown topic>

  lastChanged:  2000-11-23

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HGG01_1_H
#define HGG01_1_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'W\031\312/W\345N\037m\254\337\372\315\327\341:'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "gsp03.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void g01abort (
    tsp_int4                 msg_no,
    const char*              msg_label,
    const char*              msg_text,
    tsp_int4                 bad_value);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01allocate_msg (
    const char*              msg_label,
    const char*              msg_text,
    tsp_int4                 alloc_size);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01check (
    tsp_int4                 msg_no,
    const char*              msg_label,
    const char*              msg_text,
    tsp_int4                 bad_value,
    pasbool                  constraint);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01opaddrmsg (
    tsp3_priority_Param      msg_prio,
    tsp3_msg_type_Param      msg_type,
    tsp_int4                 msg_no,
    const char*              msg_label,
    const char*              msg_text,
    tsp_addr                 msg_addr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01opmsg (
    tsp3_priority_Param      msg_prio,
    tsp3_msg_type_Param      msg_type,
    tsp_int4                 msg_no,
    const char*              msg_label,
    const char*              msg_text,
    tsp_int4                 msg_value);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01optextmsg (
    tsp3_priority_Param      msg_prio,
    tsp3_msg_type_Param      msg_type,
    tsp_int4                 msg_no,
    const char*              msg_label,
    const char*              msg_text);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01unioptextmsg (
    tsp00_Int4               msg_enc,
    tsp3_priority_Param      msg_prio,
    tsp3_msg_type_Param      msg_type,
    tsp_int4                 msg_no,
    const char*              msg_label,
    const char*              msg_text);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

