
/*******************************************************************************

  module:       hgg943.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      GG_TaskWaitStack_Interface

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HGG943_H
#define HGG943_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\011:)\304\207|\211\015A\022K\314\002\314\253"'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void gg943AllCheckptWaitsResume (
    tsp00_TaskId                         CallingTaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943AllBackupWaitsResume (
    tsp00_TaskId                         CallingTaskId,
    tgg00_MessType_Param                 MessType);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943AllLogFullWaitsResume (
    tsp00_TaskId                         CallingTaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943AllocateTaskWaitStacks (
    tsp00_TaskId                         CallingTaskId,
    tsp00_Int4                           MaxTasks);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943AllSurrogateWaitsResume (
    tsp00_TaskId                         CallingTaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943AnyBackupWaitResume (
    tsp00_TaskId                         CallingTaskId,
    pasbool                              IsReadWait,
    tgg00_MessType_Param                 MessType);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool gg943AnySaveptWaitExists (
    tsp00_TaskId                         CallingTaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943BackupWaitInsertAtBottom (
    tsp00_TaskId                         TaskId,
    pasbool                              IsReadWait,
    tgg00_MessType_Param                 MessType);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943CheckptWaitInsert (
    tsp00_TaskId                         TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943GetSaveptWaitList (
    tsp00_TaskId                         CallingTaskId,
    tsp00_Int4                           DataSize,
    tgg00_DataPartPtr                    DatapartPtr,
    tsp00_Int4            VAR_VALUE_REF  DataLen);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943LogFullWaitInsert (
    tsp00_TaskId                         TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943SavepointPrepareWaitInsert (
    tsp00_TaskId                         TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943SavepointWaitInsert (
    tsp00_TaskId                         TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void gg943SurrogateWaitInsert (
    tsp00_TaskId                         TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

