/*!******************************************************************************

  @file         hkb33.h

  ------------------------------------------------------------------------------

  @author       UweH

  @brief        KB_index_handling

\if EMIT_LICENCE  

    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
\endif

********************************************************************************/

#ifndef HKB33_H
#define HKB33_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\x1f\xcd\x63\x34\x8d\x01\x84\x3b\x19\x41\x0e\xde\xc4\xf1\x15\xb8'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k33create_index (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k33inv_id (
    tgg00_QualBuf         &  part1,
    tgg00_FileId          &  inv_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k33mult_inv_key (
    tgg00_FileId          &  prim_tree,
    tgg00_FileId          &  inv_tree,
    pasbool                  init_inv_tree,
    tgg00_StackListPtr       st_addr,
    tgg00_RecPtr             rec_buf_ptr,
    integer                  first_st,
    integer                  last_st,
    tgg00_Lkey            &  inv_key,
    pasbool               &  bIsUndef,
    tgg00_BasisError      &  move_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k33p_create_index_participant (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

