
/*******************************************************************************

  module:       hkb571.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_RefreshSurrogSeq_interface

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB571_H
#define HKB571_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 's%\356AG\340\\6e\361Ef\001\222l\\'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void kb571WriteRefreshSeqAfterImage (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tsp00_Int4                           SequenceCount,
    const tsp00_Addr                     pSequenceList);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb571WriteRefreshSurrogAfterImage (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    const tgg00_Surrogate  VAR_ARRAY_REF  Surrogate,
    const tgg00_Surrogate  VAR_ARRAY_REF  SysKey);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

