
/*******************************************************************************

  module:       hkb64.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_file_table_handling

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB64_H
#define HKB64_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\353\032:\226\267\315uU\2443\330Tq\204\224\250'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k64begin_load (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64build_aux_fn_prefix (
    tgg91_TransNo         &  transid,
    pasbool                  is_perm,
    tgg00_FileId          &  aux_id,
    integer               &  prefix_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64change_filetype (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64cmd_drop (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64create_bd_file (
    tgg00_TransContext    &  t,
    tgg00_FileId          &  tree_id,
    tgg00_MessType_Param     mess_type,
    tgg00_MessType2_Param     mess2_type,
    tsp00_Int2               str_col_cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64drop_tree (
    tgg00_TransContext    &  t,
    tgg00_FileId          &  file_id,
    pasbool                  with_str_cols);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64end_load (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64rename_bd_file (
    tgg00_TransContext    &  t,
    tgg00_FileId          &  source_id,
    tgg00_FileId          &  target_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64set_file_version (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64set_read_only_file (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64set_treeleafnodes (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64short_col_file_create (
    tgg00_TransContext    &  t,
    tgg00_FileId          &  tree_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64short_col_file_drop (
    tgg00_TransContext    &  t,
    tgg00_FileId          &  tree_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64table_create (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64temp_file_handling (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k64unload_reload (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

