
/*******************************************************************************

  module:       hkb641.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_CreateDropFile_interface

  lastChanged:  2002-08-15

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB641_H
#define HKB641_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\336\264\011Y\222\312\317\010\205\345\205\032\2525\232\273'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void kb641BeginLoadLong (
    tgg00_TransContext    VAR_VALUE_REF  trans,
    tgg00_FileId          VAR_VALUE_REF  fileid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641BeginLoad (
    tgg00_TransContext    VAR_VALUE_REF  trans,
    tgg00_FileId          VAR_VALUE_REF  fileid,
    tgg00_Lkey            VAR_VALUE_REF  lastkey);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641ChangeFileType (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId,
    const tgg00_FiletypeSet  VAR_ARRAY_REF  NewFiletypeSet);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641CreateFile (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641CreateIndex (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  PrimFileId,
    tgg00_FileId          VAR_VALUE_REF  InvFileId,
    const tgg00_StackDesc  VAR_VALUE_REF  StackDesc,
    tgg00_IndexCounter    VAR_VALUE_REF  IndexCounter);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641CreateTable (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId,
    pasbool                              NoTreeIndex,
    tsp00_Int2                           StrColCnt,
    tsp00_Int2                           VarColCntOff);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641ReloadFile (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641RenameFile (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  OldFileId,
    tgg00_FileId          VAR_VALUE_REF  NewFileId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641SetFileState (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId,
    pasbool                              readonly);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641SuccFileVersion (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId,
    const tgg91_FileVersion  VAR_VALUE_REF  NewFileVersion,
    tsp00_Int4                           OldLongCnt,
    tsp00_Int4                           NewLongCnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641UnloadFile (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId,
    tgg00_FileId          VAR_VALUE_REF  AuxFileId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb641UpdFileStatistic (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  FileId,
    tsp00_Int4                           OldLeafNodes);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

