
/*******************************************************************************

  module:       hkb661.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_ModifyTable_interface

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB661_H
#define HKB661_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'S\321+4\230\263\212\003\272\007\335\305\227\317\334\305'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void kb661ModifyTable (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  SourceFileId,
    tgg00_FileId          VAR_VALUE_REF  IndexFileId,
    tgg00_FileId          VAR_VALUE_REF  DestinFileId,
    tsp00_Int4                           StackListEntries,
    const tgg00_StackListPtr                 SourceStackList,
    const tgg00_StackListPtr                 DestinStackList,
    pasbool                              IsSorted,
    tsp00_Int4                           TruncCheckPos,
    tsp00_Int4                           TruncCheckCnt,
    tgg00_SampleInfo      VAR_VALUE_REF  ResultSampleInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

