
/*******************************************************************************

  module:       hkb71.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenA

  purpose:      KB_get

  lastChanged:  2002-07-03

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB71_H
#define HKB71_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\361\271\332>\372\272\256\373\203\374\\\255\034.R\254'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tgg_seq_info k71serial_seq_info;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71code_operand (
    tgg_select_fields_param  &  sel,
    char                     wanted_code,
    tsp_moveobj_ptr       &  operand_addr,
    integer               &  len,
    tgg_st_entry_addr        operand_st_addr,
    tgg_basis_error       &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71col_select (
    tgg00_TransContext    &  t,
    tgg_select_fields_param  &  sel,
    tgg_stack_desc        &  stack_desc,
    tgg00_Rec             &  rec_buf,
    pasbool               &  unqualified);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71column_statistic (
    tgg_mess_block        &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71file_statistic (
    tgg_mess_block        &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71get (
    tgg_mess_block        &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71get_operand (
    tgg_select_fields_param  &  sel,
    pasbool                  check_spec_null,
    tsp_moveobj_ptr       &  operand_addr,
    integer               &  len,
    tgg_basis_error       &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71inv_col_select (
    tgg00_TransContext    &  t,
    tgg_select_fields_param  &  sel,
    tgg_stack_desc        &  stack_desc,
    tsp00_KeyPtr             sec_key,
    tsp_int2                 sec_key_len,
    tsp00_KeyPtr             prim_key,
    tsp_int2                 prim_key_len,
    pasbool               &  unqualified);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71join_comparison (
    tgg_stack_op_type_Param     op,
    tgg_select_fields_param  &  sel,
    void                  *  buf1,
    tsp_int4                 pos1,
    integer                  len1,
    void                  *  buf2,
    tsp_int4                 pos2,
    integer                  len2,
    integer               &  ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71num_err_to_b_err (
    tsp_num_error_Param      num_err,
    tgg_basis_error       &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71qualification_test (
    tgg_mess_block        &  m,
    pasbool                  first_qual,
    pasbool                  result_wanted,
    pasbool                  check_new_rec,
    tgg_rec_buf           &  rec,
    tsp00_MoveObjPtr         result_ptr,
    tsp00_Int4               result_size,
    integer               &  result_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71qual_handling (
    tgg00_TransContext    &  t,
    tgg_select_fields_param  &  sel,
    pasbool                  with_view,
    pasbool                  check_new_rec,
    tgg_stack_desc        &  stack_desc,
    tgg_st_entry_addr     &  err_st_ptr,
    pasbool               &  unqualified);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71sel_qualification_test (
    tgg_mess_block        &  m,
    tgg_select_fields_param  &  sel,
    pasbool                  check_new_rec,
    tgg_rec_buf           &  rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71select (
    tgg_mess_block        &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71sub_value_get (
    tgg00_TransContext    &  t,
    tgg_stack_entry       &  op,
    tsp_moveobj_ptr          dataptr,
    integer                  datasize);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k71trigger_qualification_test (
    tgg_mess_block        &  m,
    tgg_rec_buf           &  new_rec,
    tgg_rec_buf           &  old_rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

