
/*******************************************************************************

  module:       hkb720.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      <unknown topic>

  lastChanged:  2000-08-23

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB720_H
#define HKB720_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'hJ_\377\340 \324\360\364Y\255\260\320>d\307'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "ggg07.h"
#include "vkb007.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k720finish_catalog_select (
    tgg_mess_block        &  m,
    tgg_select_fields_param  &  sel,
    tgg07_StrategyInfo    &  strat,
    void                  *  selrec_ctxt,
    tkb7_get_param        &  getrec,
    tgg07_K720selectVars  &  select_vars,
    tgg_rec_buf           &  lbuf);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720init_ref_statistic ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720ref_statistic (
    tgg_mess_block        &  m,
    tgg_ref_info_index    &  arr_index,
    tgg07_StrategyInfo    &  strat);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#if defined (trace)

externPascal integer k720sel_param_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal integer k720get_param_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720trace_selrec (
    tkb7_select_param     &  selrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

externPascal void k720start_catalog_select (
    tgg_mess_block        &  m,
    tgg_select_fields_param  &  sel,
    tgg07_StrategyInfo    &  gg_strategy,
    void                  *  selrec_ctxt,
    tgg07_K720selectVars  &  select_vars);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720monitor (
    tgg00_TransContext    &  trans,
    tgg_select_fields_param  &  sel,
    tsp_int4                 start_sec,
    tsp_int4                 start_microsec,
    tsp_int4                 start_phys_ios,
    tsp_int4                 start_suspends,
    tsp_int4                 start_waits,
    pasbool                  put_strat,
    tgg_ref_info_index_Param     arr_index,
    pasbool                  strat_cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720show_monitor (
    tgg00_ReferenceInfo   &  info);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720_initialize (
    tgg_mess_block        &  m,
    tkb7_select_param     &  selrec,
    tgg07_StrategyInfo    &  gg_strategy,
    pasbool               &  use_stopkey,
    pasbool               &  finding_possible);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720_select (
    tgg_mess_block        &  m,
    tkb7_get_param        &  getrec,
    tkb7_select_param     &  selrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720_single_select (
    tgg_mess_block        &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720_test_subquery (
    tgg_mess_block        &  m,
    tgg_rec_buf           &  rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720apply_aggr_func (
    tgg_aggr_descr_rec    &  funct_fields,
    tgg_lkey              &  listkey,
    void                  *  lbuf,
    pasbool                  one_list_only,
    tgg_basis_error       &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k720_maxresult_get (
    void                  *  data,
    tsp_int2                 strat_maxcnt,
    tsp_int4              &  maxresult,
    tgg_basis_error       &  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

