/* @lastChanged: "1998-02-18 10:15"

  * @filename:   hos21u.h
  * @purpose:    "rte internal xuser access"
  * @release:    7.1.0.0
  * @see:        "-.-"
  *
  * @copyright:  "Copyright by SAP AG, 1998"


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*/


#ifndef HOS21U_H
#define HOS21U_H

// --- Crypt defines ----------------------------------------------------------

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"

typedef tsp00_C18       C18;
typedef tsp00_C20       C20;


#define MAX_CRYPT               6
#define MAXCRYPTNAMELENGTH      6
#define MAXCRYPTPWLENGTH        24
typedef tsp00_CryptName         CRYPTNAME ;


// --- VOS21 - ( CRYPT ) ------------------------------------------------------

void     sql21put_name       (   C18         acToCryptName,
                                 CRYPTNAME   alCryptName     );

void     sql21write_crypt    (   tsp_int4    lZahl,
                                 C20         acErgebnis      );

tsp_int4 sql21read_crypt     (   C20         acReCryptName   );

#endif
