
/*******************************************************************************
*
* module:       hsp20.h
*
* ------------------------------------------------------------------------------
*
* responsible:  
*
* lastChanged:  1999-07-20
*
* purpose:      RTE-Extension-20
*
* generatedBy:  $TOOL/bin/ptocProto.py
*
* ------------------------------------------------------------------------------
*
* Copyright by SAP AG, 1999
*


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

********************************************************************************/

#ifndef HSP20_H
#define HSP20_H


/*****************************************************
 *     RefType: C++
 *****************************************************/

/*****************************************************
 *     MD5: 'a\273\0352\326\261\006\201!\312>\335.\014\237A'
 *****************************************************/


/*****************************************************
 *     I N C L U D E S                               *
 *****************************************************/

#include "gsp00.h"


/*****************************************************
 *     P R O T O T Y P E S                           *
 *****************************************************/

externPascal void s20ch4 (
    tsp_int4                 val,
    void                  *  destin,
    tsp_int4                 destin_pos);

externPascal void s20ch4a (
    tsp_int4                 val,
    void                  *  destin,
    tsp_int4                 destin_pos);

externPascal void s20ch4b (
    tsp_int4                 val,
    void                  *  destin,
    tsp_int4                 destin_pos);

externPascal void s20ch4l (
    tsp_int4                 val,
    void                  *  destin,
    tsp_int4                 destin_pos);

externPascal void s20ch4sw (
    tsp_int4                 val,
    tsp_swap_kind_Param      source_swap,
    void                  *  destin,
    tsp_int4                 destin_pos,
    tsp_swap_kind_Param      destin_swap);

externPascal void s20ch4s1 (
    tsp_int4                 val,
    tsp_swap_kind_Param      source_swap,
    void                  *  destin,
    tsp_int4                 destin_pos,
    tsp_swap_kind_Param      destin_swap);

externPascal tsp_int4 s20or4a (
    void                  *  source,
    tsp_int4                 source_pos);

externPascal tsp_int4 s20or4b (
    void                  *  source,
    tsp_int4                 source_pos);

externPascal tsp_int4 s20or4l (
    void                  *  source,
    tsp_int4                 source_pos);

externPascal tsp_int4 s20or4sw (
    void                  *  source,
    tsp_int4                 source_pos,
    tsp_swap_kind_Param      source_swap,
    tsp_swap_kind_Param      destin_swap);

externPascal tsp_int2 s204to2 (
    tsp_int4                 i4);

externPascal void s20sw_int4 (
    tsp_int4              &  val,
    tsp_swap_kind_Param      source_swap,
    tsp_swap_kind_Param      destin_swap);


#endif

