# ------------------------------------------------------------------------------
#
# File Descriptions
#
# ------------------------------------------------------------------------------
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


regex(.*\.cpp$)    -except

# ------------------------------------------------------------------------------
# Exceptions and Messages
# ------------------------------------------------------------------------------

File_Messages.genmsg    ascii

File_Messages.hpp       inc=SAPDBErr_MessageList.hpp

File_Exceptions.hpp     inc=SAPDBErr_MessageList.hpp \
                        dep=File_Messages.hpp

# ------------------------------------------------------------------------------
# Interfaces
# ------------------------------------------------------------------------------

File_Types.hpp          inc=

File_IFile.hpp          inc=ggg00,\
                            Data_Types.hpp,\
                            Data_PageAccessManager.hpp,\
                            File_Types.hpp

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

