# @(#)   desc/SAPDB/Interfaces/JDBC/JNI.com   7.3   11/02/2002
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

*       inc=gsp00,vsp001,vsp004,vsp008,vin00 trace=m90print
*-k     INLINK=1 trace=cccprint shrglob
*-r     RUNTIME=1
*-x     APPLONLY=1
*-t     TEST=1
*-d     DUMMY=1


&if defined JDK_INCLUDE && ($JDK_INCLUDE <> NO)
&if $OS == WIN32
nativeComm.c inc=gsp00,heo102.h,heo03.h -I$TOOL/java/include -I$TOOL/java/include/win32
&elif $OSSPEC == LINUX
nativeComm.c inc=gsp00,heo102.h,heo03.h -I$TOOL/java/include -I$TOOL/java/include/linux 
&elif $OSSPEC == AIX
nativeComm.c inc=gsp00,heo102.h,heo03.h -I$TOOL/java/include -I$TOOL/java/include/aix 
&elif $OSSPEC == HPUX
nativeComm.c inc=gsp00,heo102.h,heo03.h -I$TOOL/java/include -I$TOOL/java/include/hp-ux
&elif $OSSPEC in [SUNOS,SVR4]
nativeComm.c inc=gsp00,heo102.h,heo03.h -I$TOOL/java/include -I$TOOL/java/include/solaris
&elif $OSSPEC in [OSF1]
nativeComm.c inc=gsp00,heo102.h,heo03.h -I$TOOL/java/include -I$TOOL/java/include/alpha
&endif
&endif


