# @(#)   desc/SAPDB/LVCSimulator.mac    7.4   01-Jul-2002
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2002 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

*       -DLVCSIM_DLL_VMAKE_BUILD

LVCSim_Client.hpp           ->$INSTROOT/incl/livecachesimul.h dep=hco00.h
LVCSim_FastHash.hpp         inc=LVCSim_Internal.hpp,LVCSim_CheckpointIO.hpp
LVCSim_Internal.hpp         inc=LVCSim_Client.hpp,RTESync_Spinlock.hpp,\
                                LVCSim_CheckpointIO.hpp,ggg00,\
                                LVC_LibOmsInterface.hpp,geo573.h
LVCSim_KernelInterface.hpp  inc=LVC_KernelInterface.hpp,\
                                SAPDBMem_DefaultRawAllocator.hpp
LVCSim_liveCacheSink.hpp    inc=LVCSim_Internal.hpp,LVCSim_FastHash.hpp,\
                                SAPDBMem_RawAllocator.hpp,\
                                LVCSim_CheckpointIO.hpp,gco01.h,geo07.h
LVCSim_ObjectHandle.hpp     inc=LVCSim_ObjectVerHandle.hpp,LVCSim_CheckpointIO.hpp,\
                                LVCSim_liveCacheSink.hpp
LVCSim_ObjectTree.hpp       inc=LVCSim_ObjectHandle.hpp,LVCSim_CheckpointIO.hpp
LVCSim_ObjectVerHandle.hpp  inc=LVCSim_Internal.hpp,LVCSim_OIDAllocator.hpp,\
                                LVCSim_CheckpointIO.hpp
LVCSim_OIDAllocator.hpp     inc=LVCSim_CheckpointIO.hpp
LVCSim_DebugAllocator.hpp   inc=SAPDBMem_IRawAllocator.hpp

LVCSim_Compat.cpp           -except inc=LVCSim_Client.hpp
LVCSim_GlobFnc.cpp          -except inc=LVCSim_Internal.hpp,\
                                LVCSim_liveCacheSink.hpp,\
                                LVCSim_KernelInterface.hpp,\
                                LVCSim_OIDAllocator.hpp,\
                                LVCSim_DebugAllocator.hpp,\
                                gco04.h,heo07.h,heo670.h,hsp77.h
LVCSim_KernelInterface.cpp  -except inc=LVCSim_Internal.hpp,\
                                LVCSim_KernelInterface.hpp,\
                                LVCSim_DebugAllocator.hpp,\
                                heo670.h
LVCSim_DebugAllocator.cpp   -except inc=LVCSim_DebugAllocator.hpp,\
                                RTESync_Spinlock.hpp,hsp77.h,geo573.h,\
                                LVCSim_Internal.hpp,heo670.h
LVCSim_liveCacheSink.cpp    -except inc=LVCSim_liveCacheSink.hpp,\
                                LVCSim_ObjectHandle.hpp,\
                                LVCSim_ObjectTree.hpp,\
                                LVCSim_KernelInterface.hpp,\
                                heo52.h,gsp01.h,heo01.h,hsp77.h,heo02x.h
LVCSim_Main.cpp             -except inc=LVCSim_Internal.hpp
LVCSim_ObjectHandle.cpp     -except inc=LVCSim_ObjectHandle.hpp,\
                                LVCSim_OIDAllocator.hpp,\
                                LVCSim_liveCacheSink.hpp,\
                                LVCSim_ObjectTree.hpp
LVCSim_ObjectTree.cpp       -except inc=LVCSim_Internal.hpp,\
                                LVCSim_ObjectTree.hpp
LVCSim_ObjectVerHandle.cpp  -except inc=LVCSim_ObjectVerHandle.hpp,\
                                LVCSim_OIDAllocator.hpp
LVCSim_OIDAllocator.cpp     -except inc=LVCSim_Internal.hpp,\
                                LVCSim_OIDAllocator.hpp,\
                                LVCSim_ObjectHandle.hpp
LVCSim_CheckpointIO.cpp     -except inc=LVCSim_CheckpointIO.hpp

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif
