#
# 
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2002 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

OMS_ArrayObject.hpp             inc=gco10.h,geo573.h,gco102.h ->$INSTROOT/incl/Oms/OMS_ArrayObject.hpp
OMS_ArrayObject.cpp             -except inc=OMS_ArrayObject.hpp,hsp77.h

OMS_DummyKernelCallback.hpp     inc=gco001.h,ggg00

OMS_Stream.hpp                  inc=gco00.h

OMS_Types.hpp                   inc=gsp92

OMS_Monitor.hpp                 inc=gsp92

OMS_KernelDefaultInterface.hpp  inc=LVC_KernelInterface.hpp

OMS_LibOmsInterface.hpp         inc=gsp00,ggg92.h,gco00.h

OMS_LibOmsInterfaceInstance.hpp inc=OMS_LibOmsInterface.hpp

OMS_KernelDefaultInterface.hpp  inc=LVC_KernelInterface.hpp,\
                                    LVC_LockRequest.hpp

OMS_Monitor.cpp                 inc=OMS_Monitor.hpp,ggg00

OMS_KernelDefaultInterface.cpp  inc=OMS_KernelDefaultInterface.hpp,\
                                    SAPDBMem_DefaultRawAllocator.hpp,\
                                    SAPDBMem_NewDestroy.hpp

OMS_VersionDirRegions.hpp       inc=gco001.h,ggg00
	
OMS_VersionDirRegions.cpp       inc=OMS_VersionDirRegions.hpp,\
                                    LVC_LockRequest.hpp,\
                                    OMS_KernelDefaultInterface.hpp,\
                                    hco31-k.h,gco00.h,gco102.h

OMS_Stream.cpp                  -except inc=OMS_Stream.hpp,OMS_Types.hpp,gco00.h,gco10.h,hsp20.h -MD -D_AFXDLL -c

OMS_NewObjCache.hpp				inc=gsp00,Container_Hash.hpp

OMS_NewObjCache.cpp				-except inc=gco00.h,gco10.h,OMS_NewObjCache.hpp -D_AFXDLL

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif


OMS_OidArrayReader.hpp          inc=gco00.h,gco10.h

OMS_OidArrayReader.cpp          -except inc=OMS_OidArrayReader.hpp


OMS_OidArrayWriter.hpp          inc=gco00.h,gco10.h

OMS_OidArrayWriter.cpp          -except inc=OMS_OidArrayWriter.hpp

