#
#	RunTime Tasking
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

* -except
#
# No exception handling code variant
#
*-noex -DSAPDB_COMPILE_WITHOUT_EXCEPTION_HANDLING
#
RTETask_IContext.hpp      inc=RTE_Types.hpp
RTETask_Context.hpp       inc=RTETask_IContext.hpp,SAPDBErr_MessageList.hpp
#
# Implementation uses old v_interface functions...
#
RTETask_Context*.cpp       inc=RTETask_Context.hpp,heo51.h,heo56.h

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

RTETask_Yield.h            inc=SAPDB_Types.h
RTETask_IScheduling.hpp    inc=RTETask_TCB.hpp

RTETask_SchedulingUNIX.cpp inc=RTETask_IScheduling.hpp,gen50.h,gen500.h,gen71.h,gen00.h,heo00.h,hen50.h

RTETask_SchedulingNT.cpp   inc=RTETask_IScheduling.hpp,gos00k.h,geo007_1.h,gos74.h


&if $OS in [ WIN32 ]
RTETask_TCB.cpp            inc=RTETask_Yield.h,RTETask_TCB.hpp,SAPDB_Types.h,geo007_1.h,geo50_0.h,RTESys_Spinlock.h
&else
RTETask_TCB.cpp            inc=RTETask_Yield.h,RTETask_TCB.hpp,SAPDB_Types.h,geo007_1.h,geo50_0.h,hen50.h,RTESys_Spinlock.h
&endif
RTETask_TCB.hpp            inc=RTE_Types.h
 
