
#
#    ========== licence begin LGPL
#    Copyright (C) 2002 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

XMLIMAPI_Definition.h	inc=vpa00sql.h,vpa00sqlext.h \
                         ->$INSTROOT/incl/XMLIMAPI_Definition.h

XMLIMAPI_Error.h	dep=XMLIMAPI_Definition.h \
					inc=
XMLIMAPI_Error.c	dep=XMLIMAPI_Definition.h \
					inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h

XMLIMAPI_CommonInclude.h	inc=gsp100.h,hsp100.h,gwd00.h,heo102.h,hsp77.h,hwd03waapi.h,vpa00sql.h,vpa00sqlext.h

XMLIMAPI_Id.h	dep=XMLIMAPI_Definition.h \
				inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h,SAPDB/RunTime/RTE_UniqueId.h
XMLIMAPI_Id.c	inc=XMLIMAPI_Id.h

XMLIMAPI_CommonUtils.h	dep=XMLIMAPI_Definition.h \
						inc=XMLIMAPI_CommonInclude.h
XMLIMAPI_CommonUtils.c	inc=XMLIMAPI_CommonUtils.h

XMLIMAPI_XieAdmin.h	dep=XMLIMAPI_Definition.h \
						inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h
XMLIMAPI_XieAdmin.c	inc=XMLIMAPI_XieAdmin.h

XMLIMAPI_XmlIndex.h	dep=XMLIMAPI_Definition.h \
						inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h
XMLIMAPI_XmlIndex.c	inc=XMLIMAPI_XmlIndex.h

XMLIMAPI_DocClass.h	dep=XMLIMAPI_Definition.h \
						inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h
XMLIMAPI_DocClass.c	inc=XMLIMAPI_DocClass.h

XMLIMAPI_SessionPools.h	dep=XMLIMAPI_Definition.h \
							inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h
XMLIMAPI_SessionPools.c	inc=XMLIMAPI_SessionPools.h

XMLIMAPI_ServiceLib.h	dep=XMLIMAPI_Definition.h \
						inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h
XMLIMAPI_ServiceLib.c	inc=XMLIMAPI_ServiceLib.h

XMLIMAPI_Service.h	dep=XMLIMAPI_Definition.h \
					inc=XMLIMAPI_CommonInclude.h,XMLIMAPI_Error.h
XMLIMAPI_Service.c	inc=XMLIMAPI_Service.h


XMLIMAPI_Test.c	inc=SAPDB/XML/ModellingAPI/XMLIMAPI_Definition.h,SAPDB/XML/IndexEngine/XMLIdx_Connection.h

# XML Modelling schema
XMLIMAPI_DBSchema.txt	 ascii ->$DBROOT/env/xmlmodelling.ins
XMLIMAPI_demo_webdav_container.dat ascii ->$DBROOT/env/XMLIMAPI_demo_webdav_container.dat
XMLIMAPI_demo_webdav_inode.dat ascii ->$DBROOT/env/XMLIMAPI_demo_webdav_inode.dat
XMLIMAPI_demo_webdav_namespace.dat ascii ->$DBROOT/env/XMLIMAPI_demo_webdav_namespace.dat
XMLIMAPI_demo_webdav_property.dat ascii ->$DBROOT/env/XMLIMAPI_demo_webdav_property.dat
XMLIMAPI_demo_webdav_propertymanagement.dat ascii ->$DBROOT/env/XMLIMAPI_demo_webdav_propertymanagement.dat
XMLIMAPI_demo_xml_assign_dc_idx.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_assign_dc_idx.dat
XMLIMAPI_demo_xml_documentclass.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_documentclass.dat
XMLIMAPI_demo_xml_indexengine.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_indexengine.dat
XMLIMAPI_demo_xml_indexinglib.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_indexinglib.dat
XMLIMAPI_demo_xml_indexingservicedesc.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_indexingservicedesc.dat
XMLIMAPI_demo_xml_searchlib.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_searchlib.dat
XMLIMAPI_demo_xml_sessionpool.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_sessionpool.dat
XMLIMAPI_demo_xml_xmlindex.dat ascii ->$DBROOT/env/XMLIMAPI_demo_xml_xmlindex.dat

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

