# @(#)   desc/bd.com   7.2.0   23/07/99
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

*       inc=gsp00,ggg00,gbd00 trace=cccprint shrglo

regex(.*\.cpp$)   inc=

regex(g.*\.h$)    inc=+hta99.h
regex(.*\.cpp$)   inc=+hta99.h

*-d     noshrglob

&if $OMS_MODUL
*       %X-DOMS_MODUL 
&endif 
 
# ------  PASCAL / C  ------ 

vbd01       inc=+vsp002,gsp03,gsp03_3,vsp0031,ggg11,gkb00
vbd02       inc=+gsp03,gsp03_3,ggg11
vbd05       inc=+ggg11
hbd05.h     inc=gsp00,ggg00
hbd05_1.h   inc=gsp00,gbd00
vbd06       inc=+gsp03,gsp03_3
vbd07       inc=+gsp03,gsp03_3,ggg11
vbd08       inc=+vsp002
vbd10       inc=+vsp0031
vbd14       inc=+gkb00
#vbd15       inc=+vsp002,gsp03,gsp03_3,vsp0031,gkb00
vbd17       inc=+gsp03,gsp03_3
vbd20       inc=+gsp03,gsp03_3,vsp0031,gbd02 
vbd21       inc=+gsp03,gsp03_3
vbd30       inc=+gsp03,gsp03_3,ggg11
vbd31       inc=+gsp03,gsp03_3
vbd36       inc=+gsp03,gsp03_3
vbd37       inc=+ggg03
vbd50       inc=+gsp03,gsp03_3
vbd51       inc=+gsp03,gsp03_3
vbd53       inc=+gsp03,gsp03_3
vbd54       inc=+gsp03,gsp03_3
vbd60       inc=+gsp03,gsp03_3
vbd72       inc=+ggg11
vbd73       inc=+vsp0031 trace=none
vbd75       inc=+gsp03,gsp03_3,gbd07
vbd76       inc=+gsp03,gsp03_3,gbd07
vbd77       inc=+gsp03,gsp03_3,gbd07


# ------  ------ 

hbd102.h        inc=gsp00,gbd00

# ------  C++  'g'-files ------ 

gbd05.h         inc=+hbd01_1.h,hbd30_1.h,-hta99.h

# --- InvTree Interface ---

hbd03.h         inc=gsp00,ggg00
vbd03.cpp       inc=+ggg11,gbd300.h,gbd500.h,gbd600.h,hbd01.h,hbd01_1.h,hbd03.h,hbd13.h,hbd30.h,\
                     hbd30_1.h,hbd73.h,hbd75.h,hbd400.h,hbd401.h,hbd402.h,hbd403.h,hbd404.h,\
                     hbd405.h,hgg10.h,hsp30.h,hgg01_3.h,\
                     Converter_IPageNoManager.hpp,\
                     IOMan_IDataInfo.hpp,\
                     Trace_Entry.hpp,\
                     SAPDBErr_Assertions.hpp

# --- InvTree Class ---

gbd400.h    inc=gbd00,gbd500.h,gbd600.h

# --- InvCurrent Classes ---

gbd300.h        inc=+gbd05.h,gbd450.h,hbd06_1.h
hbd300.h        inc=ggg00,gbd00
vbd300.cpp      inc=+gsp00,ggg00,gbd00,ggg11,gbd300.h,hsp20.h,hsp30.h,hbd01.h,hbd06.h,\
                     hbd13.h,hbd17.h,hbd30.h,heo55k.h,hgg01_1.h,hgg01_3.h,Trace_Entry.hpp

# --- InvList Classes ---

gbd450.h        inc=+ggg90.h,gsp03,gsp03_3,hbd102.h,hgg01_1.h,hgg10.h,hsp30.h 

# --- InvListIterator Classes ---

gbd460.h        inc=+gbd600.h,gbd450.h,gbd500.h,gbd510.h
vbd460.cpp      inc=+gbd460.h,hgg05.h,heo51.h,heo56.h,-hta99.h

# --- PrimKeyIterator Classes ---

gbd470.h        inc=gbd300.h,gbd460.h,gbd500.h,gbd510.h,gbd600.h,hbd06.h
 
# --- Tree Class ---

gbd500.h    inc=+gbd300.h,gbd600.h,gbd520.h,hgg01_3.h
gbd501.h    inc=+gsp03,gsp03_3,hgg01_1.h,gbd600.h
vbd500.cpp  inc=+gsp00,ggg00,gbd00,gbd500.h,gbd501.h,hbd20_2.h,heo51.h,heo56.h,hgg01_1.h,hgg01_3.h,hgg05.h,gsp03,gsp03_3,hsp77.h,Trace_Entry.hpp
vbd510.cpp  inc=+gsp00,ggg00,gbd00,gbd500.h,gbd501.h,gbd520.h,gbd600.h,hbd102.h,hgg01_3.h
vbd520.cpp  inc=+gsp00,ggg00,gbd00,gbd500.h,gbd501.h,gbd600.h,heo60.h,hbd102.h,hgg01_1.h,hgg01_3.h
vbd530.cpp  inc=+gsp00,ggg00,gbd00,gbd500.h,gbd600.h

# --- PageChain Class ---

gbd550.h     inc=+hbd13.h,hgg10.h,gsp03,gsp03_3,hgg01_1.h

# --- RecordIterator Class ---

gbd510.h    inc=+gbd600.h

# --- Separator Class ---

gbd520.h    inc=+hbd102.h,hsp30.h

# --- Node Class ---

gbd600.h    inc=+gsp03,gsp03_3,gbd300.h,hbd13.h,hgg01_1.h
vbd600.cpp  inc=+gbd600.h,gbd500.h,gbd520.h,gbd450.h,hbd102.h,hbd06.h,hbd13.h,hbd20_2.h,hbd30.h,hgg01_1.h,hgg01_3.h,hsp30.h
vbd610.cpp  inc=+gsp00,ggg00,gbd00,gbd600.h,hsp30.h,hgg01_1.h,hgg10.h,hbd06.h,
vbd620.cpp  inc=+gsp00,ggg00,gbd00,gbd500.h,gbd600.h,hbd102.h,hgg01_1.h

# --- InvTree Routines (Class) ---

hbd400.h
vbd400.cpp      inc=+hgg01_1.h,hgg01_3.h,hgg05.h,gsp03_3,gbd400.h,gbd600.h,gbd300.h,\
                     gbd450.h,gbd500.h,gbd510.h,hbd102.h,\
                     hbd06.h,hbd17.h,hbd35.h,hbd400.h,\
                     Converter_IVerify.hpp,\
                     Data_Types.hpp
hbd401.h
vbd401.cpp      inc=+gbd600.h,gbd520.h,gbd300.h,gbd450.h,gbd460.h,gbd500.h,\
                     hbd52.h,hbd72.h,hbd401.h,hgg01_1.h,hgg05.h,hkb53.h,\
                     hgg10.h,hgg01_1.h,gsp03,gsp03_3,hgg01_1.h,gsp03,gsp03_3
hbd402.h
hbd403.h        inc=ggg00,gsp00

vbd402.cpp      inc=+gbd600.h,gbd300.h,gbd450.h,gbd460.h,gbd500.h,gbd510.h,gsp03_3,\
                     hbd02.h,hbd35.h,hbd73.h,hbd402.h,hkb71.h,hgg05.h,hkb53.h

vbd403.cpp      inc=+gbd300.h,gbd470.h,gbd500.h,gbd510.h,gbd550.h,gbd600.h,ggg200.h,gsp03,gsp03_3,\
hbd06.h,hbd401.h,hbd403.h,hgg01_1.h,hsp30.h
hbd404.h        inc=+gbd300.h
vbd404.cpp      inc=+gbd460.h,gbd500.h,gbd510.h,gbd600.h,hbd30.h,hbd404.h,hgg05.h,hgg10.h,hkb71.h,hkb720.h
hbd405.h        inc=+gbd300.h
vbd405.cpp      inc=+gbd490.h,gbd491.h,gbd494.h,gbd495.h,gbd600.h,gbd500.h,gbd510.h,\
                     gbd450.h,gbd460.h,gsp03,gsp03_3,ggg11,hbd13.h,hbd30.h,hbd400.h,\
                     hbd405.h,hgg01_1.h,hgg10.h,Trace_Entry.hpp

# --- Create/Diagnose InvTree Class ---

gbd490.h        inc=+gbd494.h,gbd496.h,gbd497.h,-hta99.h
vbd490.cpp      inc=+gbd490.h,gbd491.h,ggg11,hbd01.h,hbd03.h,hbd50.h,hkb53.h,hkb90.h,\
                     heo56.h,hgg01.h,hgg01_1.h,hgg01_3.h,hgg10.h,Trace_Entry.hpp

gbd491.h        inc=+gbd300.h,gbd495.h,gbd497.h,-hta99.h
vbd491.cpp      inc=+gbd491.h,gbd490.h,ggg200.h,gsp03,gsp03_3,\
                     hbd03.h,hbd13.h,hbd30.h,hbd31.h,hbd50.h,\
                     hbd75.h,hbd400.h,hkb33.h,hgg01_1.h,hgg01_3.h,\
                     hgg04.h,hgg10.h,heo56.h,heo57.h,hsp30.h,\
                     Converter_IPageNoManager.hpp,\
                     IOMan_IDataInfo.hpp

gbd494.h        inc=+gbd400.h,gbd500.h,gbd600.h,gbd495.h,gbd497.h,ggg200.h,,hsp30.h
vbd494.cpp      inc=+gbd494.h,gsp03,gsp03_3,hgg01_1.h,heo56.h

gbd495.h        inc=+gbd300.h,gbd450.h,gbd460.h,gbd470.h,gbd500.h,gbd510.h,gbd550.h,gbd600.h,
vbd495.cpp      inc=+gbd495.h,gsp03,gsp03_3,hbd01.h,hbd400.h,hgg01_1.h,hgg10.h

gbd496.h        inc=+gbd499.h,gbd495.h,gbd494.h,-hta99.h
vbd496.cpp      inc=+gbd496.h,gsp03,gsp03_3,hbd01_1.h,hgg01_1.h
                   

gbd499.h        inc=-gbd00,hta99.h
vbd499.cpp      inc=gbd499.h,gbd496.h,gbd495.h,gbd494.h,gsp03,gsp03_3,hbd20_1.h,heo55k.h,heo57.h,hgg01.h,hgg01_1.h,hgg08.h


# --- Event Class ---

gbd700.h        inc=-gbd00,+gsp00,ggg00,vsp0031,heo60.h,hgg01_2.h,-hta99.h
vbd700.cpp      inc=+gbd700.h,hgg01.h

# --- PrimaryTree Class ---

gbd800.h    inc=gsp00,ggg00,gbd00,gbd300.h,gbd500.h,gbd600.h,hta99.h
vbd800.cpp  inc=gsp00,gbd800.h,hbd01.h,hbd10.h,hta99.h

# --- OMS Container Classes ---

gbd900.h    inc=ggg92.h,gbd00,gbd920.h,hbd01_1.h,hbd92.h,hgg01_1.h,hgg01_3.h,gsp03,gsp03_3,\
                heo57.h,RTEMem_Allocator.hpp,SAPDB_Types.hpp,\
                Kernel_OpMsg.hpp,\
                Container_Vector.hpp,\
                hta99.h,hta01.h,hgg01_1.h
vbd900.cpp  inc=gbd900.h,gbd910.h,hgg01.h,hgg01_1.h,hgg10.h,\
                Kernel_OpMsg.hpp,\
                hta99.h

gbd910.h    inc=ggg92.h,gbd00,gbd900.h,hbd13.h,hbd13_1.h,hbd20_2.h,hbd92.h,hgg01_1.h,gsp03,gsp03_3,hta99.h,hta01.h,\
                Kernel_VTrace.hpp
vbd910.cpp  inc=gbd900.h,gbd910.h,gbd930.h,hgg06.h

gbd920.h    inc=gsp00,ggg00,heo55k.h,hgg08.h,\
                RTEMem_Allocator.hpp,\
                SAPDBMem_NewDestroy.hpp

gbd930.h    inc=gsp03,gsp03_3,ggg12,heo55k.h,heo56.h,hgg01.h,hgg01_1.h,hgg01_3.h,hkb28.h,\
                Log_History.hpp,\
                RTEMem_Allocator.hpp,\
                SAPDBMem_NewDestroy.hpp,\
                LVC_WaitForDelObjFileQueue.hpp,\
                Trace_Entry.hpp,\
                GC_IGarbageCollector.hpp,\
                GC_IGCController.hpp

vbd930.cpp  inc=ggg00,gbd05.h,gbd930.h,gbd900.h,gbd910.h,gbd920.h,ggg91.h,hbd06.h,\
                hbd17.h,hbd21.h,hbd22.h,heo55k.h,heo56.h,hgg10.h,hkb51.h,\
                Converter_ICommon.hpp,\
                Converter_Types.hpp,\
                Log_History.hpp,\
                Kernel_OpMsg.hpp,\
                RTESys_Time.h
                

# --- Node Classes ---

vbd13.cpp   inc=gsp00,\
                gsp03_3,\
                Converter_Types.hpp,\
                Converter_IPageNoManager.hpp,\
                Converter_ICommon.hpp,\
                Data_Types.hpp,\
                Data_BasePage.hpp,\
                Data_Exceptions.hpp,\
                Data_Messages.hpp,\
                IOMan_BlockAddress.hpp,\
                IOMan_IDataIO.hpp,\
                Kernel_FileIO.hpp,\
                FBM_Manager.hpp,\
                Kernel_Common.hpp,\
                SAPDB_ToString.hpp,\
                RTE_Message.hpp,\
                Trace_PageNoEntry.hpp

vbd13.cpp   inc=+ggg00,ggg91.h,gbd00,gbd02,hbd01.h,hbd01_1.h,hbd06.h,\
                hbd13.h,hbd17.h,hbd20.h,hbd30.h,hbd73.h,hbd75.h,\
                hkb28.h,hgg01_1.h,hgg01_3.h,hgg04.h,ggg92.h,hgg06.h,\
                hgg10.h,hsp30.h,heo55k.h,heo56.h,heo670.h,hta99.h

# ------  Headerfiles ------ 

hbd01.h         inc=gsp00,ggg00,gbd00
hbd01_1.h       inc=ggg00,gbd00
hbd01_2.h       inc=gsp00,ggg00,vsp002
hbd01_3.h       inc=vsp0031

hbd02.h         inc=-gbd00

hbd04.h         inc=gsp00,ggg00,ggg91.h,ggg92.h,Log_Types.hpp,LVC_Types.hpp
vbd04.cpp       inc=+gsp03,gsp03_3,ggg11,ggg12,gbd00,gbd05.h,gbd900.h,hbd01.h,hbd04.h,hbd06.h,\
                    hbd22.h,hbd30.h,hbd90.h,hbd92.h,hbd95.h,heo56.h,hgg01_1.h,hgg01_3.h,hkb50.h,\
                    Converter_ICommon.hpp,\
                    Kernel_VTrace.hpp,\
                    LVC_AbstractObjKeyIterator.hpp,\
                    LVC_SingleFileObjKeyIterator.hpp,\
                    LVC_MultiFileObjKeyIterator.hpp,\
                    Trace_Entry.hpp,\
                    SAPDBMem_IRawAllocator.hpp,\
                    hta99.h,hta01_2.h

hbd06.h
hbd06_1.h       inc=ggg00         

hbd09.h         inc=+gkb00

hbd10.h         inc=+vsp0031
hbd11.h         inc=gsp00,ggg00

hbd13.h         

#hbd15.h         inc=gsp00
#hbd15_1.h       inc=-gbd00         

hbd17.h         

hbd20.h         inc=+gbd02
hbd20_1.h       inc=gsp00
hbd20_2.h       inc=
hbd20_3.h       inc=-ggg00
hbd20_4.h       inc=gsp00
hbd20_5.h       inc=+gbd02
hbd20_6.h       inc=gsp00
hbd20_7.h       inc=-gbd00

hbd21.h         inc=-gbd00

hbd22.h         inc=gbd00,ggg92.h,gbd900.h
vbd22.cpp       inc=+ggg12,gbd900.h,gsp03_3,hbd01.h,hbd03.h,hbd17.h,hbd22.h,hbd92.h,\
                     hgg01_1.h,hgg01_3.h,hgg10.h,Trace_Entry.hpp

hbd30.h
hbd30_1.h       inc=ggg00,gbd00

hbd35.h         inc=+geo00.h,gsp00_0.h,gsp00_1.h,gsp00_2.h,geo47.h,ggg90.h,ggg91.h,hgg10.h

hbd37.h         inc=ggg00,ggg03,gsp00

hbd52.h         

hbd72.h         

hbd73.h         inc=-gbd00

hbd75.h         

hbd77.h         inc=+gbd07

hbd90.h         inc=ggg92.h,gbd00,Log_Types.hpp,LVC_Types.hpp,\
                    LVC_AbstractObjKeyIterator.hpp 
vbd90.cpp       inc=+hbd90.h,gsp03,gsp03_3,gbd05.h,gbd900.h,gbd910.h,gbd920.h,gbd930.h,\
                    hbd06.h,hbd17.h,hbd20_1.h,hbd22.h,hbd91.h,hbd92.h,hbd93.h,\
                    hbd95_1.h,hbd300.h,hgg01.h,hgg01_1.h,hgg10.h,hgg17.h,hkb50.h,hkb67.h,\
                    IOMan_IDataInfo.hpp,\
                    Converter_IPageNoManager.hpp,\
                    Kernel_OpMsg.hpp,\
                    Log_History.hpp,\
                    Log_ActionDeleteAllObjects.hpp,\
                    Log_Transaction.hpp,\
                    LVC_ErrorTraceObject.hpp,\
                    hta99.h,hta01.h

hbd91.h         inc=gbd900.h,gbd910.h,\
                    LVC_ErrorTraceObject.hpp,\
                    Log_UndoFile.hpp,\
                    GC_IGarbageCollector.hpp
vbd91.cpp       inc=hbd91.h,gsp03,gsp03_3,gbd05.h,gbd900.h,gbd910.h,gbd920.h,gbd930.h,hbd01.h,\
                    hbd06.h,hbd17.h,hbd22.h,hbd30.h,hbd30_1.h,hbd92.h,hbd93.h,heo55k.h,hgg01_1.h,\
                    hgg01_3.h,gsp100.h,hgg11.h,\
                    RTEMem_Allocator.hpp,\
                    Trace_Entry.hpp,\
                    Kernel_OpMsg.hpp,\
                    SAPDBMem_NewDestroy.hpp,\
                    RTEConf_ParameterAccessKernelInterface.hpp,\
                    SAPDBErr_MessageList.hpp,\
                    hta99.h,hta01.h

hbd92.h         inc=ggg92.h,gsp00,gbd00,heo670.h
vbd92.cpp       inc=hbd92.h,gsp03,gsp03_3,ggg12,gbd05.h,gbd900.h,gbd910.h,gbd930.h,\
                    hbd06.h,hbd22.h,hbd90.h,hgg01.h,hgg01_1.h,hgg04.h,hkb50.h,\
                    Converter_IVerify.hpp,\
                    Kernel_OpMsg.hpp,\
                    Trace_Entry.hpp,\
                    Log_History.hpp,\
                    hta99.h,hta01.h

hbd93.h         inc=gbd900.h,gbd910.h,Log_Types.hpp
vbd93.cpp       inc=gbd900.h,gbd910.h,gbd930.h,hbd90.h,hbd93.h,gsp03,gsp03_3,gbd05.h,hbd91.h,\
                    heo66.h,hgg01_1.h,hgg01_3.h,hgg10.h,hkb67.h,hbd06.h,\
                    IOMan_IDataInfo.hpp,\
                    Converter_IPageNoManager.hpp,\
                    Kernel_OpMsg.hpp,\
                    LVC_Types.hpp,\
                    hta99.h

hbd95.h         inc=ggg92.h,gbd00,Log_Types.hpp,LVC_Types.hpp
hbd95_1.h       inc=ggg00,gbd910.h,LVC_ErrorTraceObject.hpp
vbd95.cpp       inc=+hbd95.h,hbd95_1.h,hbd04.h,gbd05.h,gbd900.h,gbd910.h,gbd920.h,\
                    hbd06.h,hbd17.h,hbd22.h,hbd90.h,hbd91.h,hbd92.h,hbd93.h,\
                    hgg10.h,hkb67.h,\
                    gbd930.h,\
                    LVC_ErrorTraceObject.hpp,\
                    LVC_Messages.hpp,\
                    Log_UndoFile.hpp,\
                    File_Types.hpp,\
                    Log_Transaction.hpp,\
                    IOMan_IDataInfo.hpp,\
                    Converter_IPageNoManager.hpp,\
                    Kernel_OpMsg.hpp,\
                    RTE_Crash.hpp,\
                    hta99.h,hta01.h

# ------  Factory Problems ------ 

&if $OSSPEC in [ OSF1 ]
vbd02   -OPT=-O1
vbd20   -OPT=-O1
vbd30   -OPT=-O1
&endif

&if $OSSPEC == LINUX && $MACH == I386 
# PTS 1106091 TS 2000-03-23
vbd495.cpp   -OPT=-O2 
# PTS 1111494 AK 2001-08-24
vbd93.cpp    -OPT=-O3 -march=pentium
&endif

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

&if $MACH == HP_IA64
vbd92.cpp -OPT=+O0
&endif
