# @(#)   desc/gg.com   7.2.0   07/16/98
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

* inc=gsp00,ggg00 trace=none [s trace=cccprint shrglob s]
 
# ------  PASCAL / C / C++ ------ 
 
ggg00	 inc=gsp00 dep=ggg90.h,ggg91.h
ggg12	 dep=ggg92.h

# ------  PASCAL / C  ------ 
vgg01	 inc=+vsp002,vsp0011,gsp03,vsp0031,vsp0058,ggg07   shrglob
#vgg01gw  inc=gsp00,ggg00		                     shrglob
vgg02					                             shrglob
vgg03    inc=+vsp006                                 shrglob
vgg04    inc=+gsp03,vsp008,ggg07                     shrglob trace_step_out
vgg08    inc=+gsp03                                  shrglob
&fast
vgg10c-diagnose inc=gsp00,vsp003c,heo00.h diagnose=true
&endfast
vgg10c-diagnose inc=gsp00,vsp003c,heo00.h
vgg10c   inc=gsp00,vsp003c,heo00.h
vgg17       inc=+vsp001,vsp002,ggg07,gbd00,gbd02,gbd07
hgg17.h		inc=gsp00,ggg00
hgg17_1.h	inc=gbd00
hgg17_2.h	inc=vsp001
hgg17_3.h	inc=ggg07
hgg17_4.h	inc=gbd02
hgg17_5.h   inc=gbd07
vgg17-k  inc=+vsp001,vsp002,ggg07,gbd00,gbd02,gbd07  shrglob
vgg20    inc=+gsp03,vsp008                           shrglob 
vgg51    inc=gsp00 [s trace=none s]                  shrglob
vgg53    inc=gsp00 [s trace=none noshrglob s]
vgg54    inc=gsp00 [s trace=none noshrglob s]
vgg55    inc=gsp00 [s trace=none noshrglob s]

# ------  C++  ------ 
hgg01_1.h	inc=gsp00,gsp03
hgg01_2.h   inc=ggg00,vsp0031
hgg01_3.h   inc=gsp00,ggg00

hgg04_1.h   inc=+ggg07
hgg05.h     inc=ggg00,hgg10.h
hgg06.h		inc=gsp00,ggg00
vgg06-slowci.cpp	inc=hgg06.h,ggg92.h,hgg10.h,SAPDB_Types.h,hta99.h,hta01.h,\
                        Log_Types.hpp noshrglob -DINSLOWCI=1
vgg06.cpp	        inc=hgg06.h,hgg10.h,ggg92.h,SAPDB_Types.h,hta99.h,hta01.h,\
                        Log_Types.hpp noshrglob
hgg08.h		inc=gsp00
hgg10.h		inc=gsp00,ggg00
hgg11.h		inc=gsp00
vgg11.cpp   inc=gsp00,gsp100.h,hsp100.h,hgg11.h
vgg11-t.cpp -DOMSTST inc=gsp00,gsp100.h,hsp100.h,hgg11.h
ggg90.h		inc=gsp00,gsp00_1.h,geo47.h
vgg90.cpp	inc=ggg90.h noshrglob
ggg91.h		inc=ggg90.h
vgg91.cpp	inc=ggg91.h,ggg00,hgg17.h noshrglob
ggg92.h		inc=geo00.h,ggg00
vgg92.cpp	inc=ggg92.h,hgg17.h noshrglob
ggg200.h	inc=gsp00
ggg250.h    inc=ggg00
ggg251.h    inc=
vgg200.cpp  inc=ggg200.h
hgg941.h    inc=ggg00,gsp00
vgg941.cpp  inc=SAPDB_Types.hpp,\
                SAPDBMem_RawAllocator.hpp,\
                RTEMem_BlockAllocator.hpp,\
                RTEMem_RteAllocator.hpp,\
                RTE_Crash.hpp,\
                RTEConf_ParameterAccessKernelInterface.hpp,\
                hgg941.h,hak91.h,heo51.h,hgg01_1.h,gsp03_1,hsp77.h -except
hgg942.h    inc=gsp00,ggg00
vgg942.cpp	inc=gsp00,ggg00,hgg942.h,hbd03.h,\
                Data_Test.hpp,\
                Kernel_Test.hpp,\
                Log_Test.hpp,\
                RTE_Test.hpp [s dep=hta99.h s]
hgg943.h    inc=gsp00,ggg00
vgg943.cpp	inc=Kernel_WaitQueue.hpp,\
                gsp00,gsp03,ggg00,hgg943.h,hgg01_1.h -except

&if $OSSPEC == LINUX && $MACH == I386
vgg17           -CFLAGS=-ffloat-store
vgg17-k         -CFLAGS=-ffloat-store
&endif

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

