# @(#)   desc/kb.com   7.4.0   03/21/01
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


*   inc=gsp00,ggg00,gkb00 trace=cccprint shrglob

regex(^vkb[7].*$)   trace_step_out

#---------------------------------------------------------------------------------------

vkb04.cpp   inc=hkb04.h,hbd04.h,\
                hgg01_3.h,hkb05.h,hkb51.h,hkb53.h,\
                hkb67.h,hkb560.h,\
                Log_Transaction.hpp,\
                Log_AfterImage.hpp,\
                Log_ActionObject.hpp,\
                Log_ActionObjectFile.hpp,\
                Trace_Entry.hpp,\
                LVC_Types.hpp,\
                hta99.h,hta01.h noshrglob

hkb04.h     inc=ggg92.h

vkb05       inc=-gkb00,+ggg11
hkb05.h     inc=ggg00
vkb06       inc=+vsp002
vkb28       inc=+vsp002,gsp03,gsp03_2,ggg11
hkb28.h     inc=gsp00,ggg00

hkb33.h     inc=ggg00
vkb35       inc=+vsp002,gsp03,gsp03_2,vsp0031,gkb03
vkb37       inc=+vsp002
gkb03       inc=+vsp002,vsp0031
vkb38       inc=+vsp002,vsp0031,gsp03,gsp03_2,gkb03
hkb38.h     inc=gsp00,ggg00
hkb38_1.h   inc=gsp00,ggg00
hkb38_2.h   inc=gsp00,ggg00,gsp03,gkb03
vkb39       inc=+vsp002,vsp0031,gsp03,gsp03_2,ggg11,gkb03
hkb39.h     inc=gsp00,ggg00,gkb00,gkb03,vsp0031
vkb391      inc=gsp00,ggg00,Log_Page.hpp,Kernel_IPage.hpp,gkb03
hkb391.h    inc=gsp00,ggg00,gkb00,gkb03
vkb391.cpp  inc=hkb391.h,\
            Log_SaveIterator.hpp,\
            Log_Page.hpp,\
            Log_ArchiveLog.hpp,\
            Log_ArchiveLogManager.hpp,\
            SAPDBMem_NewDestroy.hpp,\
            RTEConf_ParameterAccess.hpp,\
            RTEConf_ParameterAccessKernelInterface.hpp

vkb43       inc=+gkb05
hkb431.h    inc=gsp00,ggg00
vkb431.cpp  inc=SAPDB_Types.hpp,\
                Log_ActionCopyUpdBlob.hpp,\
                Log_ActionCreateDropFile.hpp,\
                gsp00,ggg00,\
                hbd01.h,hbd01_1.h,hbd05.h,ggg92.h,hkb50.h,\
                hkb431.h,\
                gsp00_0.h,\
                hta01.h,hta99.h

gkb05       dep=ggg92.h
vkb50       inc=+gsp03,gsp03_2,gkb05
hkb50.h     inc=gsp00,ggg00
hkb50_1.h   inc=gsp00,ggg00,gkb00
hkb50_2.h   inc=gsp00,ggg00,gkb00,gkb05
hkb50_3.h   inc=ggg00
vkb51       inc=+gsp03,gsp03_2,ggg11,gkb05
hkb51.h     inc=gsp00,ggg00
hkb51_1.h   inc=gsp00,ggg00,gkb00
hkb51_2.h   inc=gsp00,ggg00,gkb05
vkb511.cpp  inc=RTESync_RWRegion.hpp,RTEMem_RteAllocator.hpp,\
				hgg08.h,heo55k.h
vkb52       inc=+gsp03,gsp03_2,gkb05
hkb52.h     inc=+gkb05,-gkb00
hkb52_1.h   inc=-gkb00
vkb521.hpp  inc=ggg00,ggg91.h,gkb05,vak001,\
                SAPDB_Types.hpp,\
                Container_List.hpp,\
                SAPDBMem_IRawAllocator.hpp,\
                SAPDBMem_NewDestroy.hpp
vkb521.cpp  inc=ggg00,ggg91.h,gkb05,vak001,hkb52.h,\
                hkb51_2.h,hgg06.h,\
                Container_List.hpp,\
                SAPDBMem_IRawAllocator.hpp,\
                SAPDBMem_NewDestroy.hpp,\
                vkb521.hpp
vkb522.hpp  inc=ggg00,ggg91.h,gkb05,vak001,\
                SAPDB_Types.hpp,\
                Container_List.hpp,\
                SAPDBMem_IRawAllocator.hpp,\
                SAPDBMem_NewDestroy.hpp
vkb522.cpp  inc=ggg00,ggg91.h,gkb05,vak001,hkb52.h,\
                hkb51_2.h,hgg06.h,\
                Container_List.hpp,\
                SAPDBMem_IRawAllocator.hpp,\
                SAPDBMem_NewDestroy.hpp,\
                vkb522.hpp
vkb53       inc=+ggg11,gkb05
hkb53.h     inc=gsp00,ggg00
hkb53_1.h   inc=gsp00,ggg00,gkb00
hkb54.h     inc=ggg00
hkb560.h    inc=gsp00,ggg00,gkb00
vkb560.cpp  inc=hkb560.h,hgg01.h,hgg01_3.h,hgg11.h,\
                heo47.h,heo56.h,heo58.h,hbd91.h,\
                hkb57_1.h,hkb57.h,\
                SAPDB_ToString.hpp,\
                SAPDBTrace_Usage.hpp,\
                SAPDBErr_Assertions.hpp,\
                SAPDBMem_IRawAllocator.hpp,\
                SAPDBMem_NewDestroy.hpp,\
                RTEMem_Allocator.hpp,\
                RTE_Message.hpp,\
                RTE_Crash.hpp,\
                Kernel_DateTime.hpp,\
                Kernel_Trace.hpp,\
                Log_ArchiveLogManager.hpp,\
                Log_Transaction.hpp,\
                Log_Savepoint.hpp,\
                Log_History.hpp,\
                Log_Exceptions.hpp,\
                IOMan_ILogInfo.hpp
vkb57       inc=+gsp03,gsp03_2
hkb57_1.h   inc=gkb00

hkb571.h    inc=gsp00,ggg00
vkb571.cpp  inc=Log_ActionRefreshSurrogSeq.hpp,\
                gsp00,ggg00,\
                hkb571.h

hkb611.h    inc=gsp00,ggg00
vkb611.cpp  inc=SAPDB_Types.hpp,\
                SAPDBMem_IRawAllocator.hpp,\
                SAPDBMem_NewDestroy.hpp,\
                Log_CommandInsDelUpd.hpp,\
                Log_InvDescMap.hpp,\
                gsp00,ggg00,hkb611.h

hkb62.h     inc=ggg00
vkb62       inc=+vsp008
hkb64.h     inc=gsp00,ggg00

hkb641.h    inc=gsp00,ggg00
vkb641.cpp  inc=SAPDB_Types.hpp,\
                Log_ActionCreateDropFile.hpp,\
                Log_ActionReorganizeFile.hpp,\
                Log_ActionUnloadFile.hpp,\
                Log_ActionReloadFile.hpp,\
                Log_ActionSetFileState.hpp,\
                Log_InvDescMap.hpp,\
                Log_Transaction.hpp,\
                gsp00,ggg91.h,ggg00,\
                hkb641.h,hbd01.h,hkb560.h

vkb66       inc=+vsp008

hkb661.h    inc=gsp00,ggg00
vkb661.cpp  inc=SAPDB_Types.hpp,\
                Log_ActionModifyTable.hpp,\
                Log_InvDescMap.hpp,\
                gsp00,ggg00,\
                hkb661.h

hkb67.h     inc=ggg92.h,\
                Log_Types.hpp
vkb67.cpp   inc=hkb67.h,gsp03,gsp03_2,gsp03_3,heo55k.h,\
                hgg01_1.h,hgg01_3.h,hgg08.h,\
                hgg10.h,hkb50.h,hkb51.h,hkb560.h,hsp77.h,\
 		            Kernel_OpMsg.hpp,\
 		            Kernel_VTrace.hpp,\
                Log_Transaction.hpp,\
                Log_BeforeImage.hpp,\
                Log_AfterImage.hpp,\
                Log_History.hpp,\
                Log_ActionObject.hpp,\
                hta99.h,hta01.h,hta01_2.h noshrglob
<  

vkb007      inc=-gkb00,+ggg07
hkb71.h     inc=gsp00,ggg00
vkb71       inc=-gkb00,+ggg07,vkb007
vkb720      inc=-gkb00,+ggg07,vkb007
hkb720.h    inc=-gkb00,+ggg07,vkb007
vkb721      inc=-gkb00,+ggg07,vkb007 
vkb722      inc=-gkb00,+ggg07,vkb007
vkb73       inc=-gkb00,+ggg07,vkb007
vkb74       inc=-gkb00,+ggg07,vkb007
vkb741      inc=-gkb00,+ggg07,vkb007,gbd00
vkb75       inc=-gkb00,+ggg07,vkb007
vkb76       inc=-gkb00,+ggg07,vkb007
vkb78       inc=-gkb00,+vsp006,vsp008,ggg07,vkb007
vkb79       inc=-gkb00,+vsp006,ggg07,vkb007

vkb81       inc=+gsp03,gsp03_2

hkb811.h    inc=ggg00,gsp00
vkb811.cpp  inc=hkb811.h,ggg00,\
                RTE_Message.hpp,\
                SAPDBTrace_Usage.hpp,\
                SAPDBErr_Assertions.hpp,\
                Log_Types.hpp,\
                Log_Exceptions.hpp,\
                Log_RedoManager.hpp

vkb90       inc=+vsp001,vsp002,gsp03,gsp03_2,gkb09
hkb90.h     inc=gsp00,ggg00
vkb91       inc=+gsp03,gsp03_2,gkb09
vkb92       inc=+vsp002,gsp03,gsp03_2,ggg11

hkb921.h    inc=ggg00
vkb921.cpp  inc=hkb921.h,\
                SAPDB_Types.hpp,\
                Log_IRedoReadTask.hpp,\
                Log_IRedoTrafficControl.hpp,\
                ggg00,\
                gsp00_0.h,\
                hta99.h

vkb96       inc=+vsp001,gsp03,gsp03_2,gkb09

# ---------------------------------------- 

&if $MACH in [ HP9 ]
vkb57   -OPT=+O1
vkb90   -OPT=+O1
vkb91   -OPT=+O1
vkb92   -OPT=+O1
vkb93   -OPT=+O1
vkb94   -OPT=+O1
vkb95   -OPT=+O1
vkb96   -OPT=+O1
&endif

&if $OSSPEC = OSF1
vkb71   -OPT=-O1
&endif

&if $MACH in [ SUN ]
vkb74   -OPT=-xO1
&endif

&if $OSSPEC == LINUX && $MACH == IA64
vkb57 -OPT=-O0
regex(\w+\.cpp) -OPT=-O0
&endif

