# @(#)   desc/fast/os.com   7.1   02/17/98
#
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

*                       trace=none check=no
*-u       -DUSER        trace=none check=no
*-s       -DSERVER      trace=none check=no
*-k       -DKERNEL   -Y trace=none check=no
*-c       -DCOMPO       trace=none check=no
*-w       -DWINCOMPO    trace=none check=no
*-x       -DASLIBRARY   trace=none check=no


*                            inc=gos00.h,heo00.h,heo46.h

gos00.h     inc=gsp00,gsp100.h,geo60.h   
gos003.h    inc=gsp00,gos00.h,gsp01.h,geo003.h
hos21u.h    inc=gsp00
hos13u.h    inc=gos00.h,hos21u.h
hos04u.h    inc=
hos06.h     inc=gsp01.h
hos23.h     inc=gos00.h,geo003.h
gos42.h     inc=gsp00
hos42.h     inc=gos00.h,geo003.h,gos42.h
gos44.h     inc=gsp01.h
gos38k.h    inc=-gos00.h,heo00.h,-heo46.h
gos38.h     inc=-gos00.h,heo00.h
gos39k.h    inc=-gos00.h,heo00.h,+ggg00,ggg92.h
gos39.h     inc=+ggg00,ggg92.h
gos41.h     inc=gsp00
hos38k.h    inc=gos00.h
hos38.h     inc=
hos37.h     inc=-gos00.h,heo00.h,heo46.h
hos39k.h    inc=gos39k.h
hos39.h     inc=geo39.h
hos33.h     inc=gos00.h
hos63k.h    inc=hos33.h
hos96.h     inc=gos00.h
gos74.h     inc=geo002.h
gos00k.h    inc=gos00.h,vsp002c,heo61.h,geo52.h,geo00_2.h
gos00cn.h   inc=+geo52.h,gos00k.h,geo002.h
gos92.h     inc=gos00cn.h
gos94.h     inc=gos00.h,gsp09.h
gos00ds.h   inc=
gos00sec.h  inc=

vos01i.c  -DCOMPO  -uc -ansi inc=heo01.h,gos00.h,gos969.h,gsp09.h,gos94.h                        # INSTALL
vos01c.c  -DCOMPO  -uc -ansi                                                    # SystemRC

gos96.h    inc=geo00.h,gos003.h,hos23.h,hos33.h
vos96.c   -DSERVER -uc -ansi inc=gos00.h,gos96.h,geo43_0.h,geo007_1.h	-DRUN_AS_SERVICE    # SERVER

gos906.h   inc=geo906.h
gos960.h   inc=gos96.h
vos960.c  -DSERVER -uc -ansi inc=heo420.h,geo007_1.h,hos42.h,gos96.h,gos960.h,heo46.h,geo908.h					-DRUN_AS_SERVICE    # SERVER

gos962.h  inc=gos96.h
vos962.c  -DSERVER -uc -ansi inc=geo007_1.h,geo40.h,heo420.h,geo43_0.h,hos42.h,gos96.h,gos962.h,heo46.h,geo908.h	-DRUN_AS_SERVICE    # SERVER

gos963.h  inc=
vos963.c  -DSERVER -uc -ansi inc=geo007_1.h,geo43_0.h,hos42.h,gos96.h,gos963.h,heo46.h					-DRUN_AS_SERVICE    # SERVER

vos968.c -DSERVER -uc -ansi inc=hsp100.h,geo007_1.h,geo007_2.h,heo01.h,geo43_0.h,gos96.h,gos960.h,gos962.h,gos963.h,gos969.h		-DRUN_AS_SERVICE   # SERVER

gos969.h                                inc=gos00.h,gos41.h
vos969.cpp                              inc=gos969.h,hsp100.h,geo007_1.h,heo01.h
vos969-w.cpp -DCLUSTER_SERVER_VERSION   inc=gos969.h,hsp100.h,geo007_1.h,heo01.h \
                                         dep=gos200.h,gos212.h

vos87c.c  -DCOMPO  -uc -ansi -x=ntcpc                                           # DBTIMES
vos88c.c  -DCOMPO  -uc -ansi -x=ntcpc                                           # DBPARAMS
vos89c.c  -DCOMPO  -uc -ansi inc=+gos00k.h                                       # DEVINIT  OS/2 only
vos90c.c  -DCOMPO  -uc -ansi inc=+geo007_2.h,geo007_1.h,hsp100.h -DRUN_AS_SERVICE             # START
vos91c.c  -DCOMPO  -uc -ansi inc=+gos00k.h,geo007_2.h -DRUN_AS_SERVICE              # STOP
vos92-c.c -DCOMPO  -uc -ansi inc=hsp100.h,heo00x.h,geo00_2.h,geo002.h,heo46.h,heo92.h,gos00k.h,gos00cn.h,geo007_1.h,geo007_2.h,gos92.h,gos41.h # CONS
vos93c.c  -DCOMPO  -uc -ansi inc=vos00rxc                                       # SQLREXX  OS/2 only
vos94c.c  -DCOMPO  -uc -ansi inc=+geo007_1.h,geo007_2.h,heo05.h,gos94.h         # SERVICE  Win32 only

vos97c.c  -DCOMPO  -uc -ansi inc=+gsp09.h,geo007_2.h                            # SHOW
vos98c.c  -DCOMPO  -uc -ansi inc=+heo11.h,geo007_1.h,geo007_2.h,hos21u.h        # PUTPARAM

# RTE COMPONENTS
vos60-c.c  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h

# WINDOWS COMPONENTS
vos60-w.c  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h

# COMMON ASM.
vos76a

#
#  TCP/IP
#
vos40l.c   -uc -ansi inc=+geo007_1.h,hsp100.h,heo01.h
vos40-n.c  -uc -ansi inc=+gos003.h,hsp100.h  -DNO_SOCKET
vos40-1.c  -uc -ansi inc=+gos003.h,hsp100.h
vos40-2.c  -uc -ansi inc=+gos003.h,hsp100.h  -DNO_SOCKET_DELAY             

#
# SERVER
#
vos33o.c  -uc -ansi inc=-gos00.h,+gos003.h,hos33.h,geo007_1.h,geo007_2.h,gos41.h
vos42o.c  -uc -ansi inc=+gos003.h,hos23.h,geo007_1.h,geo007_2.h
vos01-s.c -uc -ansi inc=+heo01.h,heo46.h,geo007_1.h
vos02-s.c -uc -ansi inc=+geo57.h,geo001.h
vos09-s.c -uc -ansi
vos23-s.c -uc -ansi inc=+gsp09.h,heo420.h,gos003.h,hos23.h,hos42.h,geo007_1.h,geo007_2.h,geo43_0.h
vos03-s.c -uc -ansi inc=+geo007_1.h
vos33-s.c -uc -ansi inc=+gos003.h,hos33.h,geo007_1.h,geo007_2.h,heo420.h,gos41.h
vos41-s.c -uc -ansi inc=+geo007_1.h,gos41.h
vos42-s.c -uc -ansi inc=+gos003.h,geo007_1.h,geo007_2.h,heo420.h,hos42.h
vos43-s.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,hsp100.h,geo43_0.h
vos44-s.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h
vos49-s.c -uc -ansi inc=+geo007_1.h,gos00sec.h
vos50-s.c -uc -ansi 
vos57-s.c -uc -ansi inc=+geo007_1.h
vos60-s.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h
vos80-s.c -uc -ansi 

#
#  USER
#
vos01-u.c -uc -ansi inc=+heo01.h,heo46.h,geo007_1.h
vos02-u.c -uc -ansi inc=+geo57.h,geo001.h
vos06-u.c -uc -ansi inc=+geo007_1.h,geo007_2.h,hos06.h,gsp01.h,heo46.h,gos44.h
vos03-u.c -uc -ansi inc=+geo007_1.h
vos09-u.c -uc -ansi 
vos11-u.c -uc -ansi inc=+geo007_1.h,geo007_2.h,heo11.h,heo11_1.h,gos44.h
vos23-u.c -uc -ansi inc=+heo420.h,gos003.h,gsp09.h,hos23.h,hos42.h,geo007_1.h,geo007_2.h,geo43_0.h
vos41-u.c -uc -ansi inc=+geo007_1.h,gos41.h
vos42-u.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,heo420.h,hos42.h
vos43-u.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,hsp100.h,geo43_0.h
vos44-u.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h
vos49-u.c -uc -ansi inc=+geo007_1.h,gos00sec.h
vos50-u.c -uc -ansi 
vos57-u.c -uc -ansi inc=+geo007_1.h
vos60-u.c -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h
vos33-u.c -uc -ansi inc=heo00.h,heo46.h,gos003.h,hos33.h,geo007_1.h,geo007_2.h,heo420.h,gos41.h,gos00.h
vos80-u.c -uc -ansi 
vos90-u.c -uc -ansi inc=-gos00.h,+geo007_1.h,geo007_2.h,hsp100.h,gos41.h \
                     dep=gos200.h,gos212.h
vos94-u.c -uc -ansi inc=+hsp100.h,heo11.h,heo05.h,geo007_1.h,gos94.h,gos44.h
vos97-u.c -uc -ansi inc=-gos00.h,+heo11.h,geo007_1.h,gsp09.h,gos41.h

vos01u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,geo572.h,heo01.h,geo00.h
vos02u.c   -DUSER -uc -ansi 
vos03u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,geo003.h,heo03.h,hos23.h,hos33.h,geo40.h,geo03.h,geo43_0.h
vos04u                     inc=gsp00
vos04.c    -DUSER -uc -ansi inc=+geo007_1.h,gos00ds.h,hos04u.h  -DVIO_KBD
vos05u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h
vos06u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,hos06.h,gos44.h
vos07u.c   -DUSER -uc -ansi inc=+geo572.h
vos08u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h
vos09u.c   -DUSER -uc -ansi inc=+gos00ds.h  # Windows NT only
vos10u.c   -DUSER -uc -ansi
vos12u.c   -DUSER -uc -ansi inc=gos00.h,heo00.h,heo46.h,hsp78.h,hsp83.h,geo13.h,heo13.h,hos13u.h,geo007_1.h,geo007_2.h,heo12.h
vos13u.c   -DUSER -uc -ansi inc=+heo13.h,geo13.h,hos13u.h,geo007_1.h,geo007_2.h,geo43_0.h  -DUSE_REGISTRY_DATABASE
vos14u.c   -DUSER -uc -ansi inc=+geo43_0.h
vos17u.c   -DUSER -uc -ansi inc=+gos003.h
vos18u.c   -DUSER -uc -ansi inc=+vsp004,geo13.h,+hos13u.h
vos21u.c   -DUSER -uc -ansi inc=+hos21u.h
vos24u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h
vos40u.c   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h
vos57u.c   -DUSER -uc -ansi
vos69u.c   -DUSER -uc -ansi


#
#  KERNEL
#
&if $MACHINE in [ IA64 ]
vos38a      -DKERNEL -Xunwind
&endif
vos01-t.c  -DOMSTST -uc -ansi inc=+heo01.h,heo46.h,geo007_1.h


vos01-k.c  -uc -ansi inc=+heo01.h,heo46.h,geo007_1.h
vos01-k.c  -uc -ansi inc=+heo01.h,heo46.h,geo007_1.h
vos02-k.c  -uc -ansi inc=+geo57.h,geo001.h,gos00k.h
vos03-k.c  -uc -ansi inc=+geo007_1.h
vos06-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,geo007_2.h,hos06.h,gsp01.h,heo46.h,gos44.h
vos11-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,geo007_2.h,heo11.h,heo11_1.h,gos44.h
vos41-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,gos41.h
vos42-k.c  -uc -ansi inc=+gos003.h,geo007_1.h,geo007_2.h,gos00k.h,heo420.h,hos42.h
vos43-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,geo007_2.h,gos003.h,hsp100.h,geo43_0.h
vos44-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,geo007_2.h,gos44.h
vos49-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,gos00sec.h
vos50-k.c  -uc -ansi inc=+gos00k.h
vos60-k.c  -uc -ansi inc=+gos00k.h,geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h \
						dep=hsp100.h,RTE_Speed.h

vos01k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,gos41.h
vos36.cpp   -DKERNEL -Y -uc -ansi inc=vsp001,geo00d.h,hsp100.h,heo36.h,heo38.h,gos00.h,heo01.h,heo78.h -D_WIN32_DCOM  
vos36-d.cpp          -Y -uc -ansi inc=vsp001,geo00d.h,hsp100.h,heo36.h,heo38.h,gos00.h,heo01.h,heo78.h -D_WIN32_DCOM  
&if $OSSPEC in [ WIN32 ] and $MACHINE in [ IA64 ]
vos37.cpp   -OPT=-Od -Y -uc -ansi inc=ggg00,gsp00,vsp001,hos37.h,geo36.h -D_WIN32_DCOM  
&else
vos37.cpp            -Y -uc -ansi inc=ggg00,gsp00,vsp001,hos37.h,geo36.h -D_WIN32_DCOM  
&endif
vos38.cpp  -DUSE_KGS -Y -uc -ansi inc=gsp00,hsp100.h,geo00d.h,geo007_1.h,heo02x.h,heo36.h,heo78.h,gos00k.h,gos00.h,geo36.h,hos38.h,geo38.h,hak341.h,heo38.h,heo670.h,RTESync_Spinlock.hpp,geo573.h -D_WIN32_DCOM -GX
vos38-d.cpp          -Y -uc -ansi inc=-heo00.h,heo46.h,+gsp00,hsp100.h,heo02x.h,heo36.h,heo78.h,geo007_1.h,gos00k.h,geo00d.h,hos38.h,geo36.h,geo38.h,hak341.h,heo38.h,heo670.h,RTESync_Spinlock.hpp -D_WIN32_DCOM -GX
vos38s.cpp           -Y -uc -ansi inc=ggg00,gco01.h,hco60.h,hco61.h,hco62.h,hos39.h,geo38.h,heo38.h -D_WIN32_DCOM 
vos39.cpp   -DKERNEL -Y -uc -ansi dep=vco02.idl,vco01.idl inc=-heo46.h,+ggg00,gsp00,geo007_1.h,gos00k.h,vsp001,hak34.h,hak341.h,geo39.h,hos39.h,geo00d.h,heo38.h,heo35.h,heo01.h -D_WIN32_DCOM 
vos50k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo002.h,geo007_1.h,gos00k.h,gos003.h,heo54k.h,hsp100.h,heo15.h,heo670.h,gos41.h,RTEMem_AWEAllocator.hpp
vos51k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,vsp001c,geo002.h,heo79.h,gos003.h,heo56.h,heo35.h,heo15.h,heo69.h,heo92.h,heo15.h,gos41.h
vos52k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,heo52.h
vos53k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,geo002.h,gos003.h,heo52.h,geo67.h,gos74.h,heo56.h,RTESys_MicroTime.h,gos41.h

vos54.c     -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,geo007_2.h,geo50_0.h,geo002.h,heo01.h,heo58.h,heo54k.h,gos74.h,heo52.h,gos44.h,geo54.h,geo00_1.h,RTESys_MicroTime.h,gos41.h
vos55k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h,heo55k.h,gos74.h
vos56k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo50_0.h,geo002.h,heo56.h,heo52.h,geo00_2.h,gos74.h
vos57k.c    -DKERNEL -Y -uc -ansi inc=+geo50_0.h,geo002.h,geo007_1.h,heo57.h,-heo46.h
vos58k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h,heo54k.h,gos44.h
vos59k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h
vos60k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,gos44.h
vos61k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h
vos62k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h
vos64k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h,gos003.h,gos74.h
vos65k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,geo007_2.h,geo50_0.h,geo002.h,heo52.h,gos44.h,geo54.h,geo00_1.h,gos74.h,gos41.h
vos66k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo007_2.h,gos00k.h,hos06.h,gos44.h,geo002.h
vos68k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,gos003.h
vos69k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h
vos70k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h,gos003.h,hos63k.h,geo70k.h,geo52.h,heo15.h,RTEMem_PageAllocator.h,geo00_1.h,RTEMem_AWEAllocator.hpp
vos71ka     -DKERNEL
vos71k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h,geo70k.h
vos72k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h
vos73k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h
vos78.cpp                         inc=gos00.h,heo01.h,heo78.h,hsp100.h
vos74k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,geo50_0.h,geo002.h,gos003.h,heo52.h,heo69.h,heo92.h,heo670.h,gos74.h,RTESys_MicroTime.h,gos41.h,geo00_1.h,geo00_3.h
vos79k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,geo002.h,heo11.h,geo002.h,gos44.h,RTEConf_ParameterAccessKernelInterface.h
vos80k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,gos41.h
vos80ko.c   -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h -DWINDOWCOMPAT
vos80kn.c   -DKERNEL -Y -uc -ansi inc=+gos00k.h,geo002.h,gos003.h,geo007_1.h,geo007_2.h
vos81.c     -DKERNEL -Y -uc -ansi inc=RTE_Types.h,heo00.h,heo46.h,gos00k.h,geo002.h,gos003.h,hsp100.h,heo35.h,geo007_1.h,geo67.h,gos44.h,heo15.h,geo43_0.h,Trace_InfoPage.h,RTEDiag_ServerCrashHist.h,RTESys_NTLoadDLLFunc.h,heo54k.h,RTESys_NTHighResTimer.h,gos41.h,RTE_KernelMain.h,heo670.h
vos82k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,geo002.h,gos00cn.h,gos003.h,heo54k.h,heo92.h,heo670.h,RTEMem_AWEAllocator.hpp,heo52.h,RTESys_MicroTime.h,gos41.h
vos83k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,geo002.h,gos003.h,gos41.h
vos84k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,gsp01.h,geo007_1.h,gos00k.h,geo002.h,gos003.h,hos63k.h,gos41.h,geo00_1.h,geo00_3.h
vos85k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h
vos88k.c    -DKERNEL -Y -uc -ansi inc=heo00.h,heo46.h,geo007_1.h,gos00k.h,geo002.h,heo38.h,heo69.h,RTESys_MicroTime.h,gos41.h,gos74.h
vos89k.c    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,gos00k.h,gos003.h

# control components
vos901.c        -ansi inc=+vsp003c,gsp09.h,gos92.h
vos903.c        -ansi inc=gsp00,gos00.h,gsp09.h
vos905.c -DUSER -ansi inc=+vsp004,gsp09.h,gos003.h,geo007_1.h,geo007_2.h,gos906.h
vos906.c        -ansi inc=+vsp001c,gsp09.h,geo007_1.h,gos003.h,gos96.h,heo420.h,heo44.h,gos906.h

vos92-x.c  -DCTRLCOMP  -uc -ansi inc=hsp100.h,heo00x.h,geo00_2.h,geo002.h,heo46.h,heo92.h,gos00k.h,gos00cn.h,geo007_1.h,geo007_2.h,gos92.h,gos41.h \
                                             dep=vsp004,vsp009c,heo05.h
vos94-x.c  -DCTRLCOMP  -uc -ansi inc=+vsp004,heo11.h,gsp09.h,heo05.h,geo007_1.h,geo007_2.h,hsp100.h,gos94.h,gos44.h

vos97c-x.c -DCTRLCOMP -uc -ansi inc=+vsp004,gsp09.h,heo05.h,geo007_2.h
vos97c-s.c -DCTRLCOMP -uc -ansi inc=+vsp004,gsp09.h,heo05.h,geo007_2.h -DRUN_AS_SERVICE
vos50-i.c  -DENUMINST_ONLY -uc -ansi
vos50-d.c  -DENUMINST_ONLY -MD -uc -ansi
vos97c-i.c -DCTRLCOMP -DENUMINST_ONLY -uc -ansi inc=+vsp004,gsp09.h,heo05.h,geo007_2.h
vos97c-d.c -DCTRLCOMP -DENUMINST_ONLY -MD -uc -ansi inc=+vsp004,gsp09.h,heo05.h,geo007_2.h
vos99d.c   -DCTRLCOMP -uc -ansi inc=

# used within PLIBOMS.DLD
vos50-p.c    -DLIBOMS -uc -ansi 


# microsoft cluster server
vos90-w.c     -uc -ansi -DCLUSTER_SERVER_VERSION                  inc=-gos00.h,+geo007_1.h,geo007_2.h,hsp100.h,gos200.h,gos212.h,gos41.h \
                     dep=gos200.h,gos212.h
vos94-w.c     -uc -ansi -DCLUSTER_SERVER_VERSION                  inc=+hsp100.h,heo11.h,heo05.h,geo007_1.h,gos94.h,gos44.h,gos200.h,gos212.h
vos94-wx.c    -uc -ansi -DCLUSTER_SERVER_VERSION   -DCTRLCOMP     inc=+vsp004,heo11.h,gsp09.h,heo05.h,geo007_1.h,geo007_2.h,hsp100.h,gos94.h,gos44.h,gos200.h,gos212.h

gos200.h		inc=
gos202.h		inc=gos203.h,geo60.h,geo200.h,geo007_1.h
gos203.h		inc=geo60.h,geo200.h
gos204.h		inc=gos203.h,gos205.h,geo007_1.h,gos00.h,geo60.h,geo200.h
gos205.h		inc=geo200.h,geo60.h

gos210.h		inc=
gos212.h		inc=

gos220.h		inc=
gos221.h		inc=gos229.h
gos222.h		inc=gos224.h,gos225.h
gos223.h		inc=
gos224.h		inc=
gos225.h		dep=vos228.idl inc=
gos226.h		inc=
gos227.h		inc=gos222.h,gos224.h 
gos229.h		inc=

vos228.idl   unpack=no noobjcopy -DMIDL_PASS obj= inc= \
             -header=vos228_i.h extdep=vos228_i.h,vos228_i.c -keep_c # -keep_tlb

vos202-l.cpp  -uc -ansi -except                                   inc=geo200.h,gos200.h,geo60.h,gos202.h,gos204.h,gos205.h,geo007_1.h -DCREATE_DLL_LOADER
vos202-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo200.h,gos200.h,geo60.h,gos202.h,gos204.h,gos205.h,geo007_1.h -DCREATE_DLL

vos203.cpp    -uc -ansi -except                                   inc=geo001.h,geo007_1.h,geo60.h,geo200.h,gos203.h
vos203-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo001.h,geo007_1.h,geo60.h,geo200.h,gos203.h
vos204-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo007_1.h,gos204.h,gos00.h,gos200.h,geo200.h,geo60.h
vos205-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo007_1.h,geo200.h,geo60.h,gos205.h,geo60.h

vos210-w.c    -uc -ansi         -DUNICODE                         inc=geo007_2.h,gos00.h,gos200.h,gos210.h,geo60.h
vos211.cpp    -uc -ansi -except                                   inc=geo81.h,gos202.h,geo60.h,gos00.h,geo007_2.h
vos212.cpp    -uc -ansi                                           inc=geo60.h,gos202.h,gos212.h


vos221.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL dep=vos228.idl inc=gos200.h,gos220.h,gos221.h,gos222.h,gos225.h,gos226.h 
vos222.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos200.h,gos221.h,gos222.h,gos225.h
vos223.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos223.h,gos229.h
vos224.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos224.h
vos225.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos221.h,gos225.h,gos227.h,gos200.h,gos00.h
vos226.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h
vos227.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos221.h,gos227.h,gos225.h,gos223.h,gos200.h,gos00.h
