####################
# Globals.com
####################
# settings for all layers 
#------------------------

*.idl -multi_offset

&if $SAPDB_VER >= 80
* vers80=true
&endif

*:variant(nothread) -nothread parentlinkoption=-nothread

# special for Purify 
*c:variant(pfy) -DSAPDBMem_USE_SYSTEM_ALLOC -DUSE_SYSTEM_ALLOC_CO13
*x:variant(pfy) -DSAPDBMem_USE_SYSTEM_ALLOC -DUSE_SYSTEM_ALLOC_CO13
*p:variant(pfy) -DSAPDBMem_USE_SYSTEM_ALLOC -DUSE_SYSTEM_ALLOC_CO13

# -Zi as default option 
&if $OSSPEC in [ WIN32 ]
*c   -Zi
*x   -Zi
*p   -CFLAGS=-Zi
&endif

# LINUX GCC 3.2 has problems with C++ compilation.
&if $OSSPEC == LINUX && $MACH in [ S390X, IA64 ]
*.cpp -OPT=-O2
*x    -OPT=-O2
&endif
