/*! 
  -----------------------------------------------------------------------------
  module: DBMCli_EnumDatabase.cpp
  -----------------------------------------------------------------------------
  responsible:  MartinR
  special area: Database Manager Client Library
  description:  Enum Database Class
  version:      7.3 and higher 
  -----------------------------------------------------------------------------
                          Copyright by SAP AG, 2000
  -----------------------------------------------------------------------------


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*/

/*
  -----------------------------------------------------------------------------
  includes
  -----------------------------------------------------------------------------
*/
#include "DBM/Cli/DBMCli_EnumDatabase.hpp"

/*    
  =============================================================================
  class: DBMCli_EnumDatabase
  =============================================================================
*/

/*
  -----------------------------------------------------------------------------
  public constructor DBMCli_EnumDatabase :: DBMCli_EnumDatabase
  -----------------------------------------------------------------------------
*/
DBMCli_EnumDatabase :: DBMCli_EnumDatabase ( )
{
}

DBMCli_EnumDatabase :: DBMCli_EnumDatabase ( const DBMCli_String & sName,
                                             const DBMCli_String & sInstRoot,
                                             const DBMCli_String & sVersion,
                                             const DBMCli_String & sKernel,
                                             const DBMCli_String & sState)
                     : m_sName( sName ),
                       m_sInstRoot( sInstRoot ),
                       m_oVersion( sVersion ),
                       m_sKernel( sKernel ),
                       m_sState( sState )
{
}

/*
  -----------------------------------------------------------------------------
  public destructor DBMCli_EnumDatabase :: ~DBMCli_EnumDatabase
  -----------------------------------------------------------------------------
*/
DBMCli_EnumDatabase :: ~DBMCli_EnumDatabase ( )
{
}


