/*! 
  -----------------------------------------------------------------------------
  module: DBMWeb_DBMWebWizard.hpp
  -----------------------------------------------------------------------------
  responsible:  MartinR
  special area: Database Manager WebAgent Extension
  description:  the "Wizard" section of "the" DBMWeb Class
  remarks:      ATTENTION! This not a full qualified header file! 
                It contains only some private member function for the 
                class DBMWeb_DBMWeb and must only included within the 
                class declaration in DBMWeb_DBMWeb.hpp.
  version:      7.3 and higher 
  -----------------------------------------------------------------------------
                          Copyright by SAP AG, 2000
  -----------------------------------------------------------------------------

    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*/

#ifndef _DBMWEB_DBMWEBWIZARD_HPP_
#define _DBMWEB_DBMWEBWIZARD_HPP_

SAPDB_Bool wizardDB ( sapdbwa_WebAgent      &wa,
                      sapdbwa_HttpRequest   &request,
                      sapdbwa_HttpReply     &reply );


#endif // _DBMWEB_DBMWEBWIZARD_HPP_
