
/*******************************************************************************

  module:       hak40.h.h

  ------------------------------------------------------------------------------

  responsible:  <unknown>

  purpose:      <unknown topic>

  lastChanged:  2002-09-12

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HAK40_H
#define HAK40_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: "N\310\272\006)\200\203a\033'Hf(&\242D"
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gak00.h"
#include "vak001.h"
#include "gak40.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

/* var a40sqlmode not generated, type too complex */
/* var a40yes_no not generated, type too complex */

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40add_explain_record (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_explain_rec       VAR_VALUE_REF  exp_rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40AddToLongColContainer (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tgg00_Rec             VAR_VALUE_REF  Rec,
    tgg00_Surrogate       VAR_ARRAY_REF  longId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40app_column (
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_c32               VAR_ARRAY_REF  col_name,
    integer                              colname_size,
    tsp_data_type_Param                  datatype,
    integer                              data_len,
    integer                              fraction);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40AppVarCol (
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_c32               VAR_ARRAY_REF  col_name,
    integer                              colname_size,
    tsp_data_type_Param                  datatype,
    integer                              data_len,
    integer                              fraction);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40column_description (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tgg_tablekind_Param                  tablekind,
    tak00_columninfo      VAR_VALUE_REF  col_info,
    pasbool                              opt_undef);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40comment_descriptor (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    pasbool                              comment_exist,
    tgg_surrogate         VAR_ARRAY_REF  tabid,
    integer                              column_no,
    tak_comment_type_Param                 comment_kind);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40CreateLongColContainer (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40datatype_code (
    tak00_columninfo      VAR_VALUE_REF  col_info,
    pasbool                              is_oracle,
    tak_appl_type_Param                  comp_type,
    tsp_sname             VAR_ARRAY_REF  datatype,
    tsp_c10               VAR_ARRAY_REF  code,
    integer               VAR_VALUE_REF  datalen);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40date_time_analyze (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak_vcolumndescription  VAR_VALUE_REF  coldesc,
    tgg_datetimeformat_Param                 dt_format,
    void                  *  outbuf,
    integer                              pos,
    tsp_c64               VAR_ARRAY_REF  aux1,
    integer               VAR_VALUE_REF  auxlen);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40get_catalog_table (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40glob_init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40GetFromLongColContainer (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_Surrogate       VAR_ARRAY_REF  longId,
    tgg_double_buf        VAR_ARRAY_REF  buf,
    tsp00_Int4            VAR_VALUE_REF  buf_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40init_table_scan (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    pasbool                              scan_temp,
    pasbool                              scan_private,
    pasbool                              scan_non_private,
    pasbool                              scan_public,
    pasbool                              use_synonyms,
    pasbool                              all_base);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a40is_unique (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tgg00_FileId          VAR_VALUE_REF  distinct_tree,
    tgg_surrogate         VAR_ARRAY_REF  tabid,
    pasbool                              check_only);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40join_expl_row (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_c40               VAR_ARRAY_REF  strat,
    tsp_knl_identifier    VAR_ARRAY_REF  owner,
    tsp_knl_identifier    VAR_ARRAY_REF  table,
    tsp_longreal                         recs_found,
    tsp_longreal                         multiplier,
    tsp_longreal                         reverse_multiplier,
    tsp_longreal                         new_left_size,
    tsp_longreal                         new_left_recs,
    tsp_longreal                         costs);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40new_row (
    tak40_show_glob       VAR_VALUE_REF  a41v);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a40next_table (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    void*                                moveobj_ptr,
    integer                              move_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move_const (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    void*                                moveobj_ptr,
    integer                              move_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move_counter (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp00_8ByteCounter                   val,
    pasbool                              is_null,
    integer                              frac,
    pasbool                              zero_to_undef);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move_guid (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_c16               VAR_ARRAY_REF  guid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move_i4 (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_int4                             i4_val,
    pasbool                              is_null,
    integer                              frac,
    pasbool                              zero_to_undef);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move_ui4 (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_int4                             i4_val,
    pasbool                              is_null,
    integer                              frac,
    pasbool                              zero_to_undef);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40move_real (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_longreal                         val,
    pasbool                              is_null,
    integer                              frac);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40ignore_down_error (
    tak_all_command_glob  VAR_VALUE_REF  acv);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40default (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tak00_columninfo      VAR_VALUE_REF  colinfo,
    tak_defaultrecord     VAR_VALUE_REF  defaultrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40_p_priv (
    tak_privilege         VAR_VALUE_REF  pr,
    tsp_c40               VAR_ARRAY_REF  prn,
    tsp_int2                             colno);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40int4_to_shinfo (
    tsp_int4                             i4,
    integer                              pos,
    integer                              len,
    integer                              frac,
    pasbool                              zero_to_undef,
    tak40_shinfo          VAR_ARRAY_REF  shinfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40long_descriptor (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tgg_surrogate         VAR_ARRAY_REF  tabid,
    integer                              column_no);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40sequence_expl_row (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tsp_line              VAR_ARRAY_REF  line,
    pasbool                              change_to_unicode);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40site (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_dbname            VAR_ARRAY_REF  siteserverdbname,
    tsp_nodeid            VAR_ARRAY_REF  siteid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40table_column_to_shbuf (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tak_sysbufferaddress                 base_ptr,
    integer                              colindex);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40put_date_time (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tsp_int4              VAR_VALUE_REF  datetime,
    pasbool                              date,
    pasbool                              is_undef);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40put_one_value (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    tak00_columninfo      VAR_VALUE_REF  col_info,
    pasbool                              do_move,
    tsp_c256              VAR_ARRAY_REF  valbuf,
    integer                              valpos,
    integer                              vallen,
    tsp_c256              VAR_ARRAY_REF  destbuf,
    integer               VAR_VALUE_REF  destlen,
    pasbool               VAR_VALUE_REF  ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40SetAllObjects (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void a40username_from_syskey (
    tgg_sysinfokey        VAR_VALUE_REF  sysk,
    tsp_knl_identifier    VAR_ARRAY_REF  user_name);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool a40usertab_next (
    tak_all_command_glob  VAR_VALUE_REF  acv,
    tak40_show_glob       VAR_VALUE_REF  a41v,
    pasbool                              use_tables,
    pasbool                              use_dbprocs,
    pasbool                              use_sequences,
    tgg_surrogate         VAR_ARRAY_REF  surrogate,
    tgg_tablekind         VAR_VALUE_REF  kind);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

