
/*******************************************************************************

  module:       hbd20_7.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      BD-data-cache

  lastChanged:  2002-03-01

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD20_7_H
#define HBD20_7_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'R{51\212\313\303\334&[\251\203\237#-\271'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void bd20DumpDataCache (
    tgg00_VfFileref       &  hostfile,
    tsp00_Page            &  b,
    tsp00_Int4            &  dump_pno,
    integer               &  pos,
    tsp00_VfReturn        &  host_error,
    tsp00_ErrText         &  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd20DumpDataCacheFrames (
    tgg00_VfFileref       &  hostfile,
    tsp00_Page            &  b,
    tsp00_Int4            &  dump_pno,
    integer               &  pos,
    tsp00_VfReturn        &  host_error,
    tsp00_ErrText         &  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

