
/*******************************************************************************

  module:       hbd300.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      InvHandling

  lastChanged:  2002-07-30

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD300_H
#define HBD300_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\321\234\322\201\214\270\324>\326\206.\303\030\202D\026'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "ggg00.h"
#include "gbd00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void bd300LockTreeExclusive (
    tbd_current_tree      VAR_VALUE_REF  Current);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd300FileIdRootCheck (
    tgg00_FileId          VAR_VALUE_REF  FileId,
    tgg00_BasisError      VAR_VALUE_REF  TrError);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void bd300SetRootCheck (
    tgg00_FileId          VAR_VALUE_REF  FileId);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

