
/*******************************************************************************

  module:       hbd75.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      concurrency

  lastChanged:  2002-08-26

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD75_H
#define HBD75_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: "\375\275\214\240\350H\262'\214,v+\213\310l\370"
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gbd00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tsp00_Int4 b75region_cnt;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75ilread_lock_index (
    tbd_current_tree      &  current,
    tsp00_PageNo             indexnode,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75ilwrite_lock_index (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf,
    tsp00_PageNo             indexnode,
    tbd_lock_returncode   &  lock_return,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75init_tree_locklist (
    tsp00_TaskId             pid,
    tgg00_BasisError      &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75iuiread_unlocklock_index (
    tbd_current_tree      &  current,
    tsp00_PageNo             src_index,
    tsp00_PageNo             dest_index,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75iuread_unlock_index (
    tbd_current_tree      &  current,
    tsp00_PageNo             indexnode);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75iuwrite_unlock_index (
    tbd_current_tree      &  current,
    tsp00_PageNo             indexnode);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75llread_lock_leaf (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75llwrite_lock_leaf (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75lulread_unlocklock_leaf (
    tbd_current_tree      &  current,
    tsp00_PageNo             src_leaf,
    tsp00_PageNo             src_index,
    tsp00_PageNo             dest_leaf,
    tsp00_PageNo             dest_index,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75luread_unlock_leaf (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75luwrite_unlock_leaf (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b75exclusive_locks (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75rdelete_lock_requests (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75reset_lock (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75resume (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75set_prevent_split (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75show_treelocklist (
    tbd_current_tree      &  current,
    tsp00_Int4            &  rec_count);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tldelete_lock_tree (
    tbd_current_tree      &  current,
    pasbool                  ignore_svp,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tlread_lock_tree (
    tbd_current_tree      &  current,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tlselect_lock_tree (
    tbd_current_tree      &  current,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tlwrite_lock_tree (
    tbd_current_tree      &  current,
    tsp00_PageNo             leaf,
    tbd_lock_returncode   &  lock_return,
    tsp00_Int2               suspend_reason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b75tree_request (
    tsp00_TaskId             pid,
    tsp00_PageNo             root);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tudelete_unlock_tree (
    tbd_current_tree      &  current);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75turead_unlock_tree (
    tbd_current_tree      &  current);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tuselect_unlock_tree (
    tbd_current_tree      &  current);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b75tuwrite_unlock_tree (
    tbd_current_tree      &  current);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

