/****************************************************************************

  module      : gen23.h

  -------------------------------------------------------------------------

  responsible : JoergM

  special area: dump packets
  description : Get Socket Addresses

  last changed: 1999-02-04  14:27
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GEN23_H
#define GEN23_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "geo00.h"
#include "gen00.h"
#include "gen003.h" 

/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externC int sql23_connect        ( connection_info *cip , char **errm );
externC int sql23_release        ( connection_info *cip , char **errm );
externC int sql23_request        ( connection_info *cip , char **errm );
externC int sql23_replyavailable ( connection_info *cip , char **errm );
externC int sql23_receive        ( connection_info *cip , char **errm );
externC int sql23_cancel         ( connection_info *cip , char **errm );
externC int sql23_clear          ( connection_info *cip , char **errm );
externC int sql23_dump           ( connection_info *cip , char **errm );

#endif  /* GEN23_H */
