/****************************************************************************

  module      : gen38.h

  -------------------------------------------------------------------------

  responsible : JoergM

  special area: Enum2String
  description : Kernel Enum to String Tables

  last changed: 1999-08-04  11:17
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GEN38_H
#define GEN38_H



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "gen00.h"

/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externC char    * e38_dbstate_name ( UINT1 state );

externC char    * e38_type_name ( UINT1 type );

externC char    * e38_adv_tskstate_name ( UINT1  state ,
										  UINT2  state_reason );


externC char    * e38_tskstate_name ( UINT1 state );

externC char    * e38_req_name ( UINT1 request );

externC char    *en38KtStateName( tsp00_Int4 KtState );

#endif  /* GEN38_H */
