/****************************************************************************

  module      : gen49.h

  -------------------------------------------------------------------------

  responsible : JoergM

  special area: interlock 4fold
  description : 

  last changed: 1998-09-01  13:25
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GEN49_H
#define GEN49_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "geo00.h"
#include "gen00.h"

/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externC int e49_lock_int4_4fold (
UINT4 * addr , /* the address of the lock variable */
int              part );  /* one index per contestant */

externC void e49_unlock_int4_4fold ( 
UINT4 * addr , /* the address of the lock variable */
int              part );   /* one index per contestant */


#endif  /* GEN49_H */
