/* @lastChanged: "1998-07-17  11:57" 
 * @filename:   geo102.h
 * @purpose:    "User LZU Function Includes and Typedefs"
 * @release:    7.2.0.0
 * @see:        ""
 *
 * @copyright:  "Copyright by   SAP AG, 1998"


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

 */

#ifndef GEO102_H
#define GEO102_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"

#include "gsp01.h"

/* if updated eliminate some standard typedefs below... */
#include "vsp004.h"

/* if updated eliminate some standard typedefs below... */
#include "gsp05.h"

/*===========================================================================*
 *  CLASSES, STRUCTURES, TYPES, UNIONS ...                                   *
 *===========================================================================*/

typedef PASCALSTRING_TYPE_MSP00(tsp00_C100, 100);

typedef struct teo04_KeyStroke {
    tsp00_Uint1 ucVTKey;
    tsp00_Uint1 ucCh;
    tsp00_Int4  MouseX;
    tsp00_Int4  MouseY;
}  teo04_KeyStroke;

typedef tsp00_Int2 teo04_InsertLabelPos[2];

/* standard types for prototypes... subject to elimination... */

typedef tsp4_xuser_record tsp04_XuserRecord;

typedef tsp5_rte_datakind tsp05_RteDataKind;
typedef tsp5_rte_filemode tsp05_RteFileMode;
typedef tsp5_rte_buffering_kind tsp05_RteBufferingKind;
typedef tsp5_rte_fileerror tsp05_RteFileError;
typedef tsp5_rte_closeoption tsp05_RteCloseOption;
typedef tsp5_rte_seekkind tsp05_RteSeekKind;
typedef tsp5_rte_fileinfo tsp05_RteFileInfo;

#endif
