/****************************************************************************

  module      : heo13.h

  -------------------------------------------------------------------------

  responsible : FrankH

  special area: xuser API
  description : description ...


  last changed: 1999-03-12  11:39
  see also    : example.html ...

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1998



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef HEO13_H
#define HEO13_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "vsp004.h"

/*===========================================================================*
 *  FUNCTION PROTOTYPES ( pascal only )                                      *
 *===========================================================================*/

externC void sqlxuopenuser  (tsp00_ErrText acErrorText,
						 	 tsp00_BoolAddr pbOk);

externC void sqlxucloseuser (tsp00_ErrText acErrorText,
							 tsp00_BoolAddr pbOk);

externC void sqlputuser     (tsp4_xuser_record  *prcUserParams,
						     tsp00_ErrText        acErrorText,
						     tsp00_BoolAddr pbOk);

externC void sqlgetuser     (tsp4_xuser_record  *prcUserParams,
						     tsp00_ErrText        acErrorText,
						     tsp00_BoolAddr pbOk);

externC void sqlindexuser   (tsp00_Int2          kUserIndex,
						     tsp4_xuser_record  *prcUserParams,
						     tsp00_ErrText       acErrorText,
						     tsp00_BoolAddr pbOk);

externC tsp00_Int4 sqlclearuser (void);

#endif  /* HEO13_H */
