/* @lastChanged: "1998-10-21  9:40"
 * @filename:    heo35k.h
 * @purpose:     "DCOMx_Functions"
 * @release:     7.1.0.0
 * @see:         ""
 *
 * @copyright:   "Copyright by SAP AG, 1998"


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

 */


#ifndef HEO35K_H
#define HEO35K_H

/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externC void vdcom_iid_ilivecachespec ( tsp00_C16*      pIId );
externC void vdcom_co_get_classobject ( bool            fDebug,
                                        void            *pInstance,
                                        bool            *pOk,
                                        tsp00_ErrText   *pErrtext );
externC void vdcom_co_create_instance ( void            *pInstance,
                                        bool            *pOk,
                                        tsp00_ErrText   *pErrtext );

externC void vdcom_paraminfo          ( bool            fDebug,
                                        void            *pParamInfo,
                                        bool            *pOk,
                                        tsp00_ErrText   *pErrtext );
externC void vdcom_create_instance    ( bool            fDebug,
                                        void            *pInstance,
                                        bool            *pOk,
                                        tsp00_ErrText   *pErrtext );

externC void vdcom_release_instance   ( void            *pParamInfo,
                                        bool            *pOk,
                                        tsp00_ErrText   *pErrtext );



externC void vdcom_release_all        ( void );
externC void vdcom_dispatch           ( void            *pParamInfo );
externC void vdcom_dbproc             ( void            *pParamInfo );
externC void vdcom_get_dispaddr       ( void            *pInstance );
externC void vdcom_init_sink          ( void            *pInstance );
externC void vdcom_invalidate         ( void            *pInstance );
externC void eo35_VDCOMTransfer ( void             *pTransferBuffer,
                                  bool             *pOk,
                                  tsp00_ErrText    *pErrtext );
externC bool eo35_RemoveDCOMi ( void );
externC void eo35_DCOM0 ( void );

#endif  /* HEO35K_H */
