
/*******************************************************************************

  module:       hgg01_3.h

  ------------------------------------------------------------------------------

  responsible:  ElkeZ

  purpose:      Configuration_Parameter

  lastChanged:  2003-01-21

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HGG01_3_H
#define HGG01_3_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\xee\xc9\x10\x19\xcd\x27\x96\x02\x53\x02\xa1\x62\x1b\xde\xe9\xc2'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tgg_code_globals g01code;
externPascal tgg_controluser g01controluser;
externPascal pasbool g01default_lru;
externPascal tgg_kernel_globals g01glob;
externPascal tgg00_HashPrimeList g01hashprime;
externPascal tgg_serverdb_no g01localsite;
externPascal pasbool g01log_backup_to_pipe;
externPascal tsp00_Int4 g01restart_time;
externPascal tsp00_Int4 g01autosave_distance;
externPascal pasbool g01ignore_rootid_check;
externPascal tgg_long_qual g01nil_long_qual;
externPascal tgg_sfp_init_part g01nil_sel;
externPascal tgg_stack_desc g01nil_stack_desc;
externPascal pasbool g01nls_sort;
externPascal tsp_knl_identifier g01nls_default_map;
externPascal tsp_int4 g01page_size;
externPascal tgg_pid_globals g01pid;
externPascal pasbool g01restart_local;
externPascal tgg_serverdb_ident g01serverdb_ident;
externPascal pasbool g01stand_alone;
externPascal pasbool g01sysaccount;
externPascal pasbool g01diag_moni_parse_on;
externPascal tgg_tabid_globals g01tabid;
externPascal tgg00_TimeoutGlobals g01timeout;
externPascal pasbool g01unicode;
externPascal tgg_vtrace_state g01vtrace;
externPascal pasbool g01newupdstat;

#endif

