
/*******************************************************************************

  module:       hgg02.h.h

  ------------------------------------------------------------------------------

  responsible:  ElkeZ

  purpose:      Codetransformation_and_Coding

  lastChanged:  2002-07-15

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HGG02_H
#define HGG02_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\336\\{\337\375\003\330\347\234,\205U\224\247\376\336'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tgg_code_tables g02codetables;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02hex (
    void                  *  source,
    tsp_int4                             source_pos,
    void                  *  dest,
    tsp_int4                             dest_pos,
    tsp_int4                             source_len);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02date_time_to_int (
    tsp_date              VAR_ARRAY_REF  date_str,
    tsp_time              VAR_ARRAY_REF  time_str,
    tsp_int4              VAR_VALUE_REF  date_int,
    tsp_int4              VAR_VALUE_REF  time_int);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02datechange (
    tsp_timestamp         VAR_ARRAY_REF  sbuf,
    void                  *  dbuf,
    integer                              spos,
    tsp_int4                             dpos,
    tgg_datetimeformat_Param                 format,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02decrypt (
    tsp_name              VAR_ARRAY_REF  clearname,
    tsp_cryptpw           VAR_ARRAY_REF  crypt);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#if !defined (AUDIT)

externPascal void g02dump (
    tgg_vf_fileref        VAR_VALUE_REF  hostfile,
    tsp_page              VAR_ARRAY_REF  buf,
    tsp_int4              VAR_VALUE_REF  out_pno,
    integer               VAR_VALUE_REF  out_pos,
    tsp_vf_return         VAR_VALUE_REF  host_err,
    tsp_errtext           VAR_ARRAY_REF  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

externPascal void g02gettermsetdesc (
    tsp_knl_identifier    VAR_ARRAY_REF  termset_name,
    tsp_code_type         VAR_VALUE_REF  messcode,
    tsp_code_type         VAR_VALUE_REF  code,
    pasbool               VAR_VALUE_REF  found);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02termsetinit (
    tgg00_TermsetRecord   VAR_VALUE_REF  termset_rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02inittranslate_tables ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02pascii_pos_ebcdic (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02p1ascii_pos_ebcdic (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02p2ascii_pos_ebcdic (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02p3ascii_pos_ebcdic (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02pebcdic_pos_ascii (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02p1ebcdic_pos_ascii (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02p2ebcdic_pos_ascii (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02p3ebcdic_pos_ascii (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02tascii_to_ebcdic (
    void                  *  source,
    void                  *  dest,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02t1ascii_to_ebcdic (
    void                  *  source,
    void                  *  dest,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02tebcdic_to_ascii (
    void                  *  source,
    void                  *  dest,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02t1ebcdic_to_ascii (
    void                  *  source,
    void                  *  dest,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal char g02toupper (
    char                                 c,
    tsp_code_type                        code_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal char g02tolower (
    char                                 c,
    tsp_code_type                        code_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02upstring (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length,
    tsp_code_type                        code_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02lowstring (
    void                  *  source,
    tsp_int4                             srcind,
    void                  *  dest,
    tsp_int4                             destind,
    tsp_int4                             length,
    tsp_code_type                        code_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02timechange (
    tsp_timestamp         VAR_ARRAY_REF  sbuf,
    void                  *  dbuf,
    integer                              spos,
    tsp_int4                             dpos,
    tgg_datetimeformat_Param                 format,
    tgg_basis_error       VAR_VALUE_REF  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02fromtermchar (
    tsp_code_type                        messcode,
    void                  *  object,
    tsp_int4                             pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02totermchar (
    tsp_code_type                        messcode,
    void                  *  object,
    tsp_int4                             pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02to1termchar (
    tsp_code_type                        messcode,
    void                  *  object,
    tsp_int4                             pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g02exporttables (
    tsp_objaddr           VAR_VALUE_REF  upptab,
    tsp_objaddr           VAR_VALUE_REF  lowtab,
    tsp_objaddr           VAR_VALUE_REF  asctab,
    tsp_objaddr           VAR_VALUE_REF  ebctab);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

