
/*******************************************************************************

  module:       hkb35.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_utility

  lastChanged:  2002-09-11

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB35_H
#define HKB35_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'Rn\320\333\320 e\253\234\240\000f\311M?\302'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gkb00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k35check_table (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    pasbool                              with_lock);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35clear_log (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35cold_save_data (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35diagnose (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35dump_utility (
    tgg00_VfFileref       VAR_VALUE_REF  hostfile,
    tsp00_Page            VAR_ARRAY_REF  buf,
    tsp00_Int4            VAR_VALUE_REF  out_pno,
    integer               VAR_VALUE_REF  out_pos,
    tsp00_VfReturn        VAR_VALUE_REF  host_err,
    tsp00_ErrText         VAR_ARRAY_REF  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35end_clear_diag (
    tgg00_TransContext    VAR_VALUE_REF  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35get_restart_version (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k35is_check_save ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35log_restore (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35log_save (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    pasbool                              is_cold);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35new_buf_addr (
    tkb00_PagePtr                        buf_addr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35OmsGetShutdownInfo (
    tgg00_TransContext    VAR_VALUE_REF  Trans,
    pasbool               VAR_VALUE_REF  WasShutdowned);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35outcopy_diag (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35restore_data (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35save_data (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35set_not_generated ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35temp_outcopy (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35UtilIdGet (
    tsp00_TaskId                         TaskId,
    tgg00_UtilCmdId       VAR_VALUE_REF  UtilId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k35verify (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    pasbool                              is_cold);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb35ReIntegrateBadLogVolume (
    tgg00_TransContext    VAR_VALUE_REF  Trans,
    tsp00_VFilename       VAR_ARRAY_REF  DevName);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb35GetBadLogVolume (
    tgg00_TransContext    VAR_VALUE_REF  Trans,
    tsp00_VFilename       VAR_ARRAY_REF  DevName);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

