
/*******************************************************************************

  module:       hkb431.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_CopyUpdBlob_interface

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB431_H
#define HKB431_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'u\266\206\275\373`\321(L\356.\036rK\020\365'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void kb431CopyBlob (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  SourceBlob,
    tgg00_FileId          VAR_VALUE_REF  DestinBlob,
    tsp00_Int4                           OldDestinVersion,
    tsp00_Int4                           OldDestinLength,
    tsp00_Int4                           SourceOffset,
    tsp00_Int4                           DestinOffset,
    tsp00_Int4                           CopyLength);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb431ExpandBlob (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  Blob,
    tsp00_Int4                           BlobVersion,
    tsp00_Int4                           OldBlobLength,
    tsp00_Int4                           NewExpandedBlobLen,
    tsp00_Byte                           ExpandByte);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb431TruncateBlob (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  Blob,
    tsp00_Int4                           BlobVersion,
    tsp00_Int4                           OldBlobLength,
    tsp00_Int4                           NewTruncatedBlobLen);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb431UpdateBlob (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tgg00_FileId          VAR_VALUE_REF  Blob,
    tsp00_Int4                           BlobVersion,
    tsp00_Int4                           OldBlobLength,
    tsp00_Int4                           InsertOffset,
    tsp00_MoveObjPtr                     pBuf,
    tsp00_Int4                           BufOffset,
    tsp00_Int4                           BufLength);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

