
/*******************************************************************************

  module:       hkb54.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_temp_logging

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB54_H
#define HKB54_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\371,\366\344\247\013\221\030{\256G\300\026p:\011'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k54commit_temp (
    tgg00_TransContext    VAR_VALUE_REF  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k54create_drop_temp_file (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg00_MessType_Param                 create_drop_type,
    tgg00_FileId          VAR_VALUE_REF  temp_file);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k54del_ins_templog (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg00_MessType_Param                 ins_del_type,
    tgg00_FileId          VAR_VALUE_REF  temp_file,
    tgg00_Rec             VAR_VALUE_REF  rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k54rollback_temp (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg00_MessType2_Param                 rollb_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k54upd_templog (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg00_FileId          VAR_VALUE_REF  temp_file,
    tgg00_Rec             VAR_VALUE_REF  old_rec,
    tgg00_Rec             VAR_VALUE_REF  new_rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

