
/*******************************************************************************

  module:       hkb62.h.h

  ------------------------------------------------------------------------------

  responsible:  UweH

  purpose:      KB_inv_link_trigger_handling

  lastChanged:  2002-07-31

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB62_H
#define HKB62_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'b\274V\236#\377\260\326\273F\305\022\320S\240\335'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k62drop_linkfile (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62late_unique_check (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62link_handling (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg00_Rec             VAR_VALUE_REF  old_rec,
    tgg00_Rec             VAR_VALUE_REF  new_rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62last_multi_inv_st (
    tgg00_StackDesc       VAR_VALUE_REF  stack_desc,
    integer                              first_st,
    integer               VAR_VALUE_REF  last_st);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62linkfile_create (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62prepare_late_unique_check (
    tgg00_TransContext    VAR_VALUE_REF  t,
    tgg00_FileId          VAR_VALUE_REF  inv_id,
    tgg00_Lkey            VAR_VALUE_REF  inv_key);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62return_trigger (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k62trigger_handling (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg00_Rec             VAR_VALUE_REF  old_rec,
    tgg00_Rec             VAR_VALUE_REF  new_rec);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

