/*!******************************************************************************

  @file         hkb811.h

  ------------------------------------------------------------------------------

  @author       UweH

  @brief        KB_RedoManager_interface

\if EMIT_LICENCE  

    ========== licence begin  GPL
    Copyright (C) 2001 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
\endif

********************************************************************************/

#ifndef HKB811_H
#define HKB811_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\x81\xcb\x59\xb1\xb7\xd7\x8c\x92\x48\xd5\x16\xb5\x33\x37\x0c\xf1'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void kb811RedoManager (
    tgg00_TransContext    VAR_VALUE_REF  TransContext,
    tsp00_Int4                           untilDate,
    tsp00_Int4                           untilTime,
    tsp00_PageNo                         untilIOSeq,
    pasbool                              restoreLog);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb811AbortRedo (
    tgg00_BasisError                     abortReason);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb811GetRedoProgressInfo (
    tsp00_Int4            VAR_VALUE_REF  transread,
    tsp00_Int4            VAR_VALUE_REF  transredone);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb811ForceOffline (
    tsp00_TaskId                         taskid,
    tgg00_BasisError                     error);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

