/****************************************************************************

  module      : gos212.h

  -------------------------------------------------------------------------

  responsible : RaymondR

  special area: 
  description : 


  last changed: 1999-06-23  13:46
  version     : 
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GOS212_H
#define GOS212_H



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/


/*===========================================================================*
 *  DEFINES                                                                  *
 *===========================================================================*/


/*===========================================================================*
 *  MACROS                                                                   *
 *===========================================================================*/


/*===========================================================================*
 *  CLASSES, STRUCTURES, TYPES, UNIONS ...                                   *
 *===========================================================================*/


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

#if defined(__cplusplus)
extern "C" {
#endif

DWORD os212_AddSERVERDBClusterResource    ( LPCSTR   SERVERDBName, 
                                            LPCSTR   Remark );
DWORD os212_RemoveSERVERDBClusterResource ( LPCSTR   SERVERDBName,
                                            DWORD    OffLineTimeOut );

DWORD os212_OnlineXSERVERClusterResource  ( void );
DWORD os212_OfflineXSERVERClusterResource ( void );
DWORD os212_OnlineSERVERDBClusterResource (  LPCSTR  ServerDB  );
DWORD os212_OfflineSERVERDBClusterResource(  LPCSTR  ServerDB  );

#if defined(__cplusplus)
}
#endif


/*===========================================================================*
 *  EXTERNAL VARIABLES                                                       *
 *===========================================================================*/



#endif  /* GOS212_H */
