/*!**************************************************************************

  module      : gos92.h

  -------------------------------------------------------------------------

  responsible : RaymondR

  special area: console 
  description : 


  last changed: 2001-12-12  18:31
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 2001

  ========== licence begin LGPL
  Copyright (C) 2001 SAP AG

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  ========== licence end

*****************************************************************************/


#ifndef GOS92_H
#define GOS92_H



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gos00cn.h"


/*===========================================================================*
 *  DEFINES                                                                  *
 *===========================================================================*/


/*===========================================================================*
 *  MACROS                                                                   *
 *===========================================================================*/


/*===========================================================================*
 *  CLASSES, STRUCTURES, TYPES, UNIONS ...                                   *
 *===========================================================================*/

typedef void*       CONS_HDL;

/*===========================================================================*
 *  PROTOTYPES                                                               *
 *===========================================================================*/


CONS_HDL           sql92c_console_open    ( char const * const  pszServerDB,
                                            PCONSOLE_DATA_REC*  ppConsoleData,
                                            tsp00_Uint4*        pulMaxDataSize,
                                            tsp00_Uint4*        pDBState );
LONG               sql92c_console_request ( CONS_HDL            Hdl,
                                            tsp00_Uint4         Request,
                                            tsp00_Bool          *pDBIsOffline );
void               sql92c_console_close   ( CONS_HDL            Hdl );


#endif  /* GOS92_H */
