/*!**************************************************************************

  module      : vos40u.c

  -------------------------------------------------------------------------

  responsible : RaymondR

  special area: Abort and Exit Functions
  description : 


  last changed: 2001-09-21  13:19
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 2001

  ========== licence begin LGPL
  Copyright (C) 2001 SAP AG

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  ========== licence end

*****************************************************************************/



//
//  INCLUDE FILES
//
#include "gos00.h"
#include "heo00.h"
#include "heo46.h"
#include "geo007_1.h"
#include "geo007_2.h"


//
//  DEFINES
//

#define MOD__  "VOS40UC : "
#define MF__   MOD__"UNDEFINED"


//
//  MACROS
//


//
//  LOCAL TYPE AND STRUCT DEFINITIONS
//


//
//  EXTERNAL VARIABLES
//


//
//  EXPORTED VARIABLES
//


//
//  LOCAL VARIABLES
//


//
//  LOCAL FUNCTION PROTOTYPES
//


//
// ========================== GLOBAL FUNCTIONS ================================
//


VOID    sqlabort (  VOID    )
{
    #undef  MF__
    #define MF__ MOD__"sqlabort"
    PID     pid;


    DBGPAS;

#if defined(WINTERM)
    win07p_abort ();
#endif
    GETPROCESSID(&pid);

    MSGD(( ERR_SQLABORT, pid ));

    EXITPROCESS( -1 );
}


//
// ========================== LOCAL FUNCTIONS =================================
//


//
// =============================== END ========================================
//
