/*!**************************************************************************

  module      : vpc31.h

  -------------------------------------------------------------------------

  responsible : MarcoP

  special area:
  description : 
  
  last changed: 2000-01-20
  see also    :

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 2000

  ========== licence begin LGPL
  Copyright (C) 2000 SAP AG
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
  
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  ========== licence end

*****************************************************************************/


#ifndef VPC31_H
#define VPC31_H



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/
#include "vpc13.h"


/*===========================================================================*
 *  DEFINES                                                                  *
 *===========================================================================*/


/*===========================================================================*
 *  MACROS                                                                   *
 *===========================================================================*/


/*===========================================================================*
 *  CLASSES, STRUCTURES, TYPES, UNIONS ...                                   *
 *===========================================================================*/

extern tpcCode p31code;
void p31initcode (tpc_globals *pc);
void p31outstmt (tpc_globals*);
void p31outcnt (tpc_globals *pc);
void p31quocnt (tpc_globals *pc);
void p31vnref (tpc_globals *pc, tsp_int4 varix, tsp_int4 typix, tsp_int4 va1ix,
	int offs, int plen, char *pnam);
void p31vndef (tpc_globals *pc, tsp_int4 typix);
void p31dclgen (tpc_globals *pc, tsp_int4 typix);
void p31comment (tpc_globals *pc);
void p31excomment (tpc_globals*);



#endif  /* VPC31_H */
