/*                                                             
 sqlcancel.h - definitions/declarations for processing EXEC SQL CANCEL
       by calling a Callback function.
       This file extended the general declaration from cpc.h 
       of the liveCache for R/3 C/C++ Precompiler

       Copyright (c) 1998, SAP AG. All rights reserved.


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*/
#ifndef __VPR03_CANCEL_H__
#define __VPR03_CANCEL_H__

/* callbackfunctions for handling EXEC SQL CANCEL  */
typedef int (SQLCancelProc)(int Session);

#ifdef __cplusplus
extern "C" {
#endif
  SQLCancelProc *sqlInitCancelProc(SQLCancelProc *sqlCancelCallBack);
#ifdef __cplusplus
}
#endif

#endif
