
/*******************************************************************************

  module:       hsp02.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      Encrypting

  lastChanged:  1999-07-29

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

********************************************************************************/

#ifndef HSP02_H
#define HSP02_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: "\356\342\251h\364[\207\3015'\265\030\242)\320s"
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void s02encrypt (
    tsp_name     VAR_ARRAY_REF clearname,
    tsp_cryptpw  VAR_ARRAY_REF crypt);

externPascal void s02applencrypt (
    tsp_name     VAR_ARRAY_REF pw_clear,
    tsp_cryptpw  VAR_ARRAY_REF pw_crypt);

externPascal void s02decrypt (
    tsp_name          VAR_ARRAY_REF clearname,
    const tsp_cryptpw VAR_ARRAY_REF crypt);

externPascal void s02appldecrypt (
    tsp_name          VAR_ARRAY_REF pw_clear,
    const tsp_cryptpw VAR_ARRAY_REF pw_crypt);

#endif

