
/*******************************************************************************

  module:       hsp42.h.h

  ------------------------------------------------------------------------------

  responsible:  RudolfM

  purpose:      GETSTRING-Conversions

  lastChanged:  2000-06-19

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

********************************************************************************/

#ifndef HSP42_H
#define HSP42_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '+S-y\033^\276\216\247\301\363P\307\003\036a'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void s42gstr (
    void                  *  buf,
    tsp_int4                             pos,
    integer                              len,
    integer                              frac,
    integer                              origlen,
    void                  *  dest,
    tsp_int4                             dpos,
    integer               VAR_VALUE_REF  dlen,
    tsp_num_error         VAR_VALUE_REF  res);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s42gchr (
    void                  *  buf,
    tsp_int4                             pos,
    integer                              len,
    integer                              frac,
    integer                              origlen,
    void                  *  dest,
    tsp_int4                             dpos,
    integer               VAR_VALUE_REF  dlen,
    tsp_num_error         VAR_VALUE_REF  res);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s42gochr (
    void                  *  buf,
    tsp_int4                             pos,
    void                  *  dest,
    tsp_int4                             dpos,
    integer               VAR_VALUE_REF  dlen,
    tsp_num_error         VAR_VALUE_REF  res);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

